Sync with portage [Wed Jun 23 12:36:45 MSK 2021].

akrasnyh 2000
root 3 years ago
parent 27d948b1d5
commit 60ed1cc870

Binary file not shown.

Binary file not shown.

@ -18,9 +18,9 @@ RDEPEND=">=dev-libs/apr-1.5.0:1=
dev-libs/apr-util:1=
dev-libs/expat
dev-libs/libpcre
virtual/libcrypt:=
kernel_linux? ( sys-apps/util-linux )
ssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
sys-devel/libtool"
BDEPEND="virtual/pkgconfig"

@ -18,9 +18,9 @@ RDEPEND=">=dev-libs/apr-1.5.0:1=
dev-libs/apr-util:1=
dev-libs/expat
dev-libs/libpcre
virtual/libcrypt:=
kernel_linux? ( sys-apps/util-linux )
ssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
sys-devel/libtool"
BDEPEND="virtual/pkgconfig"

@ -18,9 +18,9 @@ RDEPEND=">=dev-libs/apr-1.5.0:1=
dev-libs/apr-util:1=
dev-libs/expat
dev-libs/libpcre
virtual/libcrypt:=
kernel_linux? ( sys-apps/util-linux )
ssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
sys-devel/libtool"
BDEPEND="virtual/pkgconfig"

@ -18,3 +18,4 @@ DIST awscli-1.19.94.tar.gz 2019028 BLAKE2B 5885322bc03f18829217ab8fca683fbd4c19b
DIST awscli-1.19.95.tar.gz 2019311 BLAKE2B 4ab4901cbc701e5697f5a98e61df401cdcde0b364674c8939788b0177199ee174f6f8ca22c87c11fe8b468bdc3002fc2e521869a5982c4f1bd3b307a986a3351 SHA512 7134cad65f2bfb9068cec5d9939e37fd0e340a82a54d2f100847f5afc50e6d77fae79511f7d0c8eb928c0110f9d05c84917e3605f3dc1807bba939c98734781c
DIST awscli-1.19.96.tar.gz 2019687 BLAKE2B 77ea6eba698a0ea95261741b68416091fe33a1268c5c3d8d52d286e652929e597767ce5a6d5f8012ad0911a8fd7f86b33dadfc4ab1a5087a5a36c8e7e1f41217 SHA512 ba22fd866dc4ce7fe927e2a63fea784514057cc5b3e5259c5d6b73c42d10f68bba9732c4373e6eb4145aedfe6c373e6c5764a2c5ca31ba935cdaba6b31eeeb00
DIST awscli-1.19.97.tar.gz 2020143 BLAKE2B 2dac6f59a04a958b09e0f8b7d056583015762df78ed1349b55c6301d3189e1100bd8ab98445ded3ccc0ddbf1148ddf0475086704f123b0db1ccfd1cacb6b4680 SHA512 4e4e0f34ba02819232427f7571a4b10d22b167788d758c9ac43749607ea7a4c498259fcc5c69fb32d66faffc535a5b3045006168b64506f2b0f9fbbaa804e387
DIST awscli-1.19.98.tar.gz 2020264 BLAKE2B 4a466af94d909ff072ac54631769345fbdcc167012cbef64fc315a2ab9acf0516cad5f684123ffccc64c16e48791bd469f3c30e76317963bbf4ddbdb806934aa SHA512 74e52fd242fd606bff2913fffb3e5a84abea88bf487f110d0b7144cfffd1ccf18c96103bcf88ed94a101689e11b22bf2d1a77cebe09083839ed1f0f8abd00fd1

@ -0,0 +1,58 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
PYTHON_COMPAT=( python3_{8..10} )
inherit bash-completion-r1 distutils-r1
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="https://pypi.org/project/awscli/"
#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/aws-cli-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
# botocore is x.(y+1).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 1)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.4.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
)
"
distutils_enable_tests --install nose
PATCHES=(
"${FILESDIR}"/awscli-1.19.47-py39.patch
)
python_test() {
distutils_install_for_testing
# integration tests require AWS credentials and Internet access
nosetests -v tests/{functional,unit} ||
die "Tests failed for ${EPYTHON}"
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -1,2 +0,0 @@
DIST python-diamond-4.0.515.20170311.tar.gz 671963 BLAKE2B 9449f2d27b48c0e24727eb2c415a5095b20199d9315ef69df92a4aa6f8f3397743f3dc6cf2d8d91f79eca309926731b6b42da170a02987a20aeccd1e0980f4ac SHA512 d18a80540018975455b839a78fd55d13d167726b92914e3dc2de1c6f27f47319962361e05961c55047ba185e11ebf57831f3ab5cff9158a50d30a2ca635d53bd
DIST python-diamond-4.0.515.20200620.tar.gz 674623 BLAKE2B eaf290a18a79115fdc013addff5b9d5a5c5b5ce06989c7e3cb8ac5dd988f47878a893ae37a96d1f020dac1aff00ebe191bf27c3d19ac5625afd56cf79451a141 SHA512 5e43aa1bb7acbeaa80db2bbc8e956042104fa9364893b5149bcfa7bff3e00b3667a112243e7a1fad85c1fb1b0c2e2727d0f73fb6851c1959ac95c1854b0c0f76

@ -1,102 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
if [[ ${PV} = 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/python-diamond/Diamond.git"
S=${WORKDIR}/diamond-${PV}
else
GHASH=73207d04e0739a4ce92bc201b36681c42d9fa7e7 # python3 branch
SRC_URI="https://github.com/python-diamond/Diamond/archive/${GHASH}.tar.gz -> python-diamond-${PV}.tar.gz"
KEYWORDS="amd64 x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
S=${WORKDIR}/Diamond-${GHASH}
fi
PYTHON_COMPAT=( python3_{7,8} )
inherit distutils-r1 prefix
DESCRIPTION="Python daemon that collects and publishes system metrics"
HOMEPAGE="https://github.com/python-diamond/Diamond"
LICENSE="MIT"
SLOT="0"
IUSE="test mongo mysql snmp redis"
RESTRICT="!test? ( test )"
RDEPEND="dev-python/configobj
dev-python/setproctitle
mongo? ( dev-python/pymongo )
mysql? ( dev-python/mysqlclient )
snmp? ( dev-python/pysnmp )
redis? ( dev-python/redis-py )
!kernel_linux? ( >=dev-python/psutil-3 )"
DEPEND="${RDEPEND}
test? (
dev-python/mock
dev-python/pysnmp
)"
src_prepare() {
# adjust for Prefix
hprefixify bin/diamond*
# fix the version (not set in GitHub archive)
sed -i -e "s/__VERSIONTOKENHERE__/${PV}/" src/diamond/version.py.tmpl || die
echo "${PV}" > version.txt || die
# fix psutil usage
sed -i -e 's/psutil\.network_io_counters/psutil.net_io_counters/' \
src/collectors/network/network.py || die
# fix symlink out of place
rm README.md || die
cp docs/index.md README.md || die
# this module isn't Python3 yet (lambda), if you use this and have a
# fix, let me know
rm src/diamond/handler/rrdtool.py || die
# forgotten conversion
sed -i \
-e 's/import Queue/import queue/' \
-e 's/Queue\.Full/queue.Full/' \
src/diamond/handler/queue.py || die
# fix usage of map as list
sed -i \
-e '/paths = map(str.strip, paths)/d' \
src/diamond/utils/classes.py || die
# send data as bytes
sed -i \
-e '/self.socket.sendall/s/data/str.encode(data)/' \
src/diamond/handler/graphite.py || die
distutils-r1_src_prepare
}
python_test() {
# don't want to depend on docker for just this
mv src/collectors/docker_collector/test/{test,no}docker_collector.py || die
# fails on binding ports
mv src/collectors/portstat/tests/{test,no}_portstat.py || die
"${PYTHON}" ./test.py || die "Tests fail with ${PYTHON}"
}
python_install() {
export VIRTUAL_ENV=1
distutils-r1_python_install
python_optimize
mv "${ED}"/usr/etc "${ED}"/ || die
rm "${ED}"/etc/diamond/*.windows # won't need these
sed -i \
-e '/pid_file =/s:/var/run:/run:' \
"${ED}"/etc/diamond/diamond.conf.example || die
hprefixify "${ED}"/etc/diamond/diamond.conf.example
}
src_install() {
distutils-r1_src_install
newinitd "${FILESDIR}"/${PN}.initd ${PN}
newconfd "${FILESDIR}"/${PN}.confd ${PN}
keepdir /var/log/diamond
}

@ -1,84 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
if [[ ${PV} = 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/grobian/Diamond.git"
EGIT_BRANCH="python3"
S=${WORKDIR}/diamond-${PV}
else
GHASH=8d8a2e49d80d44968a34d43e36c1d864695a29c1 # from python3 branch
SRC_URI="https://github.com/grobian/Diamond/archive/${GHASH}.tar.gz -> python-diamond-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
S=${WORKDIR}/Diamond-${GHASH}
fi
PYTHON_COMPAT=( python3_{7,8} )
inherit distutils-r1 prefix
DESCRIPTION="Python daemon that collects and publishes system metrics"
HOMEPAGE="https://github.com/python-diamond/Diamond"
LICENSE="MIT"
SLOT="0"
IUSE="test mongo mysql snmp redis"
RESTRICT="!test? ( test )"
RDEPEND="dev-python/configobj
dev-python/setproctitle
mongo? ( dev-python/pymongo )
mysql? ( dev-python/mysqlclient )
snmp? ( dev-python/pysnmp )
redis? ( dev-python/redis-py )
!kernel_linux? ( >=dev-python/psutil-3 )
kernel_linux? ( sys-process/psmisc )"
DEPEND="${RDEPEND}
test? ( dev-python/mock )"
src_prepare() {
# adjust for Prefix
hprefixify bin/diamond*
# fix the version (not set in GitHub archive)
sed -i -e "s/__VERSIONTOKENHERE__/${PV}/" src/diamond/version.py.tmpl || die
echo "${PV}" > version.txt || die
# fix symlink out of place
rm README.md || die
cp docs/index.md README.md || die
# this module isn't Python3 yet (lambda), if you use this and have a
# fix, let me know
rm src/diamond/handler/rrdtool.py || die
distutils-r1_src_prepare
}
python_test() {
"${PYTHON}" ./test.py || die "Tests fail with ${PYTHON}"
}
python_install() {
export VIRTUAL_ENV=1
distutils-r1_python_install
python_optimize
# since python3.8 installation goes straight into /etc
[[ -d ${ED}/etc ]] && [[ -d ${ED}/usr/etc ]] && rm -Rf "${ED}"/usr/etc
if [[ -d ${ED}/usr/etc ]] ; then
mv "${ED}"/usr/etc "${ED}"/ || die
fi
rm "${ED}"/etc/diamond/*.windows # won't need these
sed -i \
-e '/pid_file =/s:/var/run:/run:' \
"${ED}"/etc/diamond/diamond.conf.example || die
hprefixify "${ED}"/etc/diamond/diamond.conf.example
}
src_install() {
distutils-r1_src_install
newinitd "${FILESDIR}"/${PN}.initd ${PN}
newconfd "${FILESDIR}"/${PN}.confd ${PN}
keepdir /var/log/diamond
}

@ -1,2 +0,0 @@
# command line options for running diamond
DIAMOND_OPTS=

@ -1,24 +0,0 @@
#!/sbin/openrc-run
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
depend() {
need net
}
start() {
ebegin "Starting ${SVCNAME}"
start-stop-daemon --start --exec /usr/bin/diamond --pidfile /run/${SVCNAME}.pid -- -c /etc/diamond/${SVCNAME}.conf ${DIAMOND_OPTS}
eend $?
}
stop() {
ebegin "Stopping ${SVCNAME}"
#start-stop-daemon --stop -R 80 --pidfile /run/${SVCNAME}.pid
# diamond doesn't kill its children, so work around that for now
pid=$(< /run/${SVCNAME}.pid)
if [ -n ${pid} ] && [ ${pid} -gt 1 ] ; then
pstree -Tp ${pid} | grep -o '([0-9]\+)' | tr '()' ' ' | xargs kill
fi
eend $?
}

@ -1,22 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>grobian@gentoo.org</email>
<name>Fabian Groffen</name>
</maintainer>
<longdescription lang="en">
Diamond is a python daemon that collects system metrics and
publishes them to Graphite (and others). It is capable of
collecting cpu, memory, network, i/o, load and disk metrics.
Additionally, it features an API for implementing custom
collectors for gathering metrics from almost any source.
</longdescription>
<use>
<flag name="mongo">Enable MongoDB support</flag>
<flag name="redis">Enable Redis support</flag>
</use>
<upstream>
<remote-id type="github">python-diamond/Diamond</remote-id>
</upstream>
</pkgmetadata>

@ -1154,3 +1154,4 @@ DIST terraform-0.15.1.tar.gz 2817442 BLAKE2B 04cf7864bd4e55a5277dc973cd2c90f5b86
DIST terraform-0.15.3.tar.gz 2855131 BLAKE2B 6863efe47f3cb41ded85bd2e3f432f57bd7641530def457be9c0b401cb56e8261687db102cf711b6645ad9987063875afef14f1e9e76a238028ed3e62f9ff5cb SHA512 66ce8b1d0f727326905011f366860db3f63b1c51d55b9b279f1d39462532e0a1a20b2be0f9fb839a21453c459de0a6e38951328e5e136444ae281dcc13675b04
DIST terraform-0.15.4.tar.gz 2880141 BLAKE2B 92c9a5129c1fff69e7e1bc1953251189a403f457a6e39524ab4cf60eb7fd61f83da381c033d5f9cf94d57888b74cb45f8c909c3ba69429866bb67215961cdc55 SHA512 42282731ab6c6b6c6274ab4ef02f3de9015368cb645b85118cf51a9f6c9efaedbbeafe6606692c58091bc72620e6778f4dd97219cfba5fde6c63ef77b421cf1b
DIST terraform-0.15.5.tar.gz 2885932 BLAKE2B 997ae485ff395d2174ef2265559cff4321545e63b1b7f7eba55da6b1cacfa4c5922eaf75dea220688a126bb7f1b093f884cb67e60bea1de943a9d715b9a7daf2 SHA512 d8636e2adfca58be42f88469759aede0f2d71b824fea187d67ef198d21742bc0198ad721f636f166523e0b7a92f10fdea9b445ff142464a148888110bd10a8de
DIST terraform-1.0.0.tar.gz 2877484 BLAKE2B d0bc897394e59143a432f6aca7fe4e48905b085b0fa2e7c0c72767f6b11fe3db1206d5878280f051bad415a7f2fca4ef47dcffe87180fd90e2fce10ec6f7b061 SHA512 93fd3a00b2d016d45abe1cf82acbf7065bef5c3216c36d3e04079b681aca9515f9f3a589aedff3284ee62a97f43bbbf806584f2427ed87679a0daa40502d50bd

File diff suppressed because it is too large Load Diff

Binary file not shown.

@ -0,0 +1 @@
DIST tarlz-0.21.tar.lz 104780 BLAKE2B c3aacda3e8ab25757758d811d9cdc153777835950436dbb4827cf75d801f6c3035475330512a2657a8c9733f6afdf452d9689d7d72d11ba8ef968fceab671ed4 SHA512 1ad671da7ee115762163af57aad69ec754753e68a99ef8c4f38e880ecbb75a5b021f38794390eabcdbef4963cbc0c0e2abe36011da4135baf2c21dc22f020f4a

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>flow@gentoo.org</email>
<name>Florian Schmaus</name>
</maintainer>
</pkgmetadata>

@ -0,0 +1,27 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs unpacker
DESCRIPTION="A parallel archiver combining tar and lzip"
HOMEPAGE="https://www.nongnu.org/lzip/tarlz.html"
SRC_URI="https://download.savannah.gnu.org/releases/lzip/${PN}/${P}.tar.lz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64"
RDEPEND=">=app-arch/lzlib-1.12:0="
DEPEND="${RDEPEND}"
BDEPEND="$(unpacker_src_uri_depends)"
src_configure() {
econf \
CXX="$(tc-getCXX)" \
CXXFLAGS="${CXXFLAGS}" \
CPPFLAGS="${CPPFLAGS}" \
LDFLAGS="${LDFLAGS}"
}

Binary file not shown.

@ -21,6 +21,7 @@ DEPEND="
sys-apps/keyutils:=
sys-libs/libcap
sys-libs/zlib
virtual/libcrypt:=
"
RDEPEND="${DEPEND}"

@ -21,6 +21,7 @@ DEPEND="
sys-apps/keyutils:=
sys-libs/libcap
sys-libs/zlib
virtual/libcrypt:=
"
RDEPEND="${DEPEND}"

Binary file not shown.

@ -20,6 +20,7 @@ IUSE="afs +berkdb caps gdbm hdb-ldap +lmdb otp selinux ssl static-libs test X"
RESTRICT="!test? ( test )"
CDEPEND="
virtual/libcrypt:=[${MULTILIB_USEDEP}]
ssl? (
>=dev-libs/openssl-1.0.1h-r2:0=[${MULTILIB_USEDEP}]
)

@ -27,7 +27,7 @@ SLOT="0"
#removed rexgen and commoncrypto
IUSE="custom-cflags kerberos mpi opencl openmp pcap"
DEPEND=">=dev-libs/openssl-1.0.1:0
DEPEND=">=dev-libs/openssl-1.0.1:0=
mpi? ( virtual/mpi )
opencl? ( virtual/opencl )
kerberos? ( virtual/krb5 )

@ -27,7 +27,7 @@ SLOT="0"
#removed rexgen and commoncrypto
IUSE="custom-cflags kerberos mpi opencl openmp pcap"
DEPEND=">=dev-libs/openssl-1.0.1:0
DEPEND=">=dev-libs/openssl-1.0.1:0=
mpi? ( virtual/mpi )
opencl? ( virtual/opencl )
kerberos? ( virtual/krb5 )

@ -26,7 +26,6 @@ DEPEND="
|| (
>=dev-libs/libverto-0.2.5[libev,${MULTILIB_USEDEP}]
>=dev-libs/libverto-0.2.5[libevent,${MULTILIB_USEDEP}]
>=dev-libs/libverto-0.2.5[tevent,${MULTILIB_USEDEP}]
)
keyutils? ( >=sys-apps/keyutils-1.5.8:=[${MULTILIB_USEDEP}] )
lmdb? ( dev-db/lmdb )

@ -26,7 +26,6 @@ DEPEND="
|| (
>=dev-libs/libverto-0.2.5[libev,${MULTILIB_USEDEP}]
>=dev-libs/libverto-0.2.5[libevent,${MULTILIB_USEDEP}]
>=dev-libs/libverto-0.2.5[tevent,${MULTILIB_USEDEP}]
)
keyutils? ( >=sys-apps/keyutils-1.5.8:=[${MULTILIB_USEDEP}] )
lmdb? ( dev-db/lmdb )

@ -26,7 +26,6 @@ DEPEND="
|| (
>=dev-libs/libverto-0.2.5[libev,${MULTILIB_USEDEP}]
>=dev-libs/libverto-0.2.5[libevent,${MULTILIB_USEDEP}]
>=dev-libs/libverto-0.2.5[tevent,${MULTILIB_USEDEP}]
)
keyutils? ( >=sys-apps/keyutils-1.5.8:=[${MULTILIB_USEDEP}] )
lmdb? ( dev-db/lmdb )

Binary file not shown.

@ -25,7 +25,7 @@ RDEPEND="
deploypkg? ( dev-libs/libmspack )
fuse? ( sys-fs/fuse:0 )
pam? ( sys-libs/pam )
ssl? ( dev-libs/openssl:0 )
ssl? ( dev-libs/openssl:0= )
vgauth? (
dev-libs/libxml2
dev-libs/xmlsec

@ -25,7 +25,7 @@ RDEPEND="
deploypkg? ( dev-libs/libmspack )
fuse? ( sys-fs/fuse:0 )
pam? ( sys-libs/pam )
ssl? ( dev-libs/openssl:0 )
ssl? ( dev-libs/openssl:0= )
vgauth? (
dev-libs/libxml2
dev-libs/xmlsec

@ -6,6 +6,7 @@
<name>Gentoo Games Project</name>
</maintainer>
<use>
<flag name="cpuhistory">Enable 65xx CPU history support (may decrease performance)</flag>
<flag name="ethernet">Enable ethernet emulation</flag>
<flag name="headless">Include the headless variant of the emulator</flag>
<flag name="mpg123">Enable mp3@64 cartridge support</flag>

@ -3,7 +3,7 @@
EAPI=7
inherit multibuild xdg
inherit multibuild toolchain-funcs xdg
DESCRIPTION="The Versatile Commodore Emulator"
HOMEPAGE="https://vice-emu.sourceforge.io/"
@ -12,16 +12,21 @@ SRC_URI="mirror://sourceforge/vice-emu/releases/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="alsa debug doc ethernet ffmpeg flac gif +gtk headless ipv6 jpeg lame mpg123 ogg oss parport pci png portaudio pulseaudio sdl zlib"
REQUIRED_USE="|| ( gtk headless sdl ) gtk? ( zlib )"
IUSE="
alsa cpuhistory debug doc ethernet ffmpeg flac gif +gtk headless
ipv6 jpeg lame mpg123 ogg oss parport pci png portaudio pulseaudio
sdl zlib"
REQUIRED_USE="
|| ( gtk headless sdl )
gtk? ( zlib )"
RDEPEND="
sys-libs/readline:0=
virtual/libintl
alsa? ( media-libs/alsa-lib )
ethernet? (
>=net-libs/libpcap-0.9.8
>=net-libs/libnet-1.1.2.1:1.1
>=net-libs/libpcap-0.9.8
)
ffmpeg? ( media-video/ffmpeg:= )
flac? ( media-libs/flac )
@ -30,17 +35,17 @@ RDEPEND="
dev-libs/glib:2
media-libs/fontconfig:1.0
media-libs/glew:0=
virtual/opengl
x11-libs/cairo
x11-libs/gtk+:3
x11-libs/pango
virtual/opengl
)
jpeg? ( virtual/jpeg )
lame? ( media-sound/lame )
mpg123? ( media-sound/mpg123 )
ogg? (
media-libs/libogg
media-libs/libvorbis
media-libs/libogg
media-libs/libvorbis
)
parport? ( sys-libs/libieee1284 )
pci? ( sys-apps/pciutils )
@ -51,14 +56,10 @@ RDEPEND="
media-libs/libsdl2[video]
media-libs/sdl2-image
)
zlib? ( sys-libs/zlib )
"
zlib? ( sys-libs/zlib )"
DEPEND="
${RDEPEND}
x11-base/xorg-proto
"
x11-base/xorg-proto"
BDEPEND="
app-arch/unzip
app-text/dos2unix
@ -70,10 +71,7 @@ BDEPEND="
virtual/pkgconfig
virtual/yacc
doc? ( virtual/texi2dvi )
gtk? ( x11-misc/xdg-utils )
"
ECONF_SOURCE="${S}"
gtk? ( x11-misc/xdg-utils )"
src_prepare() {
default
@ -83,71 +81,80 @@ src_prepare() {
# Strip the predefined C(XX)FLAGS.
sed -i -r 's:(VICE_C(XX)?FLAGS=)"[^$]+":\1:' configure || die
}
src_configure() {
MULTIBUILD_VARIANTS=(
$(usev gtk)
$(usev headless)
$(usev sdl)
)
# Debug build currently broken without copy sources.
multibuild_copy_sources
}
src_configure() {
tc-export AR
multibuild_foreach_variant run_in_build_dir multibuild_src_configure
}
multibuild_enable() {
if [[ ${MULTIBUILD_VARIANT} == $1 ]]; then
printf -- "--enable-%s\n" "$2"
if [[ ${MULTIBUILD_VARIANT} == ${1} ]]; then
echo --enable-${2}
else
printf -- "--disable-%s\n" "$2"
echo --disable-${2}
fi
}
multibuild_src_configure() {
# Some dependencies lack configure options so prevent them becoming
# automagic by using configure cache variables.
use pci || export ac_cv_header_pci_pci_h=no
# Ensure we use giflib, not ungif.
export ac_cv_lib_ungif_EGifPutLine=no
# Append ".variant" to x* programs if building multiple variants.
local xform
if [[ ${#MULTIBUILD_VARIANTS[@]} -gt 1 ]]; then
xform="/^x/s/\$/.${MULTIBUILD_VARIANT}/"
else
unset xform
fi
econf \
--program-transform-name="${xform}" \
--disable-arch \
$(use_enable debug) \
$(use_enable debug debug-gtk3ui) \
$(use_enable ffmpeg external-ffmpeg) \
$(multibuild_enable headless headlessui) \
--enable-html-docs \
$(use_enable ethernet) \
$(use_enable ipv6) \
$(use_enable lame) \
$(use_enable parport libieee1284) \
$(multibuild_enable gtk native-gtk3ui) \
$(use_enable doc pdf-docs) \
$(use_enable portaudio) \
--disable-sdlui \
$(multibuild_enable sdl sdlui2) \
--disable-shared-ffmpeg \
--disable-static-ffmpeg \
$(multibuild_enable gtk desktop-files) \
$(use_with alsa) \
$(use_with gif) \
$(use_with jpeg) \
$(use_with oss) \
$(use_with png) \
$(use_with pulseaudio pulse) \
$(use_with zlib) \
$(use_with mpg123) \
$(use_with ogg vorbis) \
local econfargs=(
--program-transform-name="${xform}"
$(multibuild_enable gtk desktop-files)
$(multibuild_enable gtk native-gtk3ui)
$(multibuild_enable headless headlessui)
$(multibuild_enable sdl sdlui2)
$(use_enable cpuhistory)
$(use_enable debug debug-gtk3ui)
$(use_enable debug)
$(use_enable doc pdf-docs)
$(use_enable ethernet)
$(use_enable ffmpeg external-ffmpeg)
$(use_enable ipv6)
$(use_enable lame)
$(use_enable parport libieee1284)
$(use_enable portaudio)
$(use_with alsa)
$(use_with flac)
$(use_with gif)
$(use_with jpeg)
$(use_with mpg123)
$(use_with ogg vorbis)
$(use_with oss)
$(use_with png)
$(use_with pulseaudio pulse)
$(use_with zlib)
--disable-arch
--disable-sdlui
--disable-shared-ffmpeg
--disable-static-ffmpeg
--enable-html-docs
# Some dependencies lack configure options so prevent them becoming
# automagic by using configure cache variables.
$(usex pci '' ac_cv_header_pci_pci_h=no)
# Ensure we use giflib, not ungif.
ac_cv_lib_ungif_EGifPutLine=no
)
econf "${econfargs[@]}"
}
src_compile() {
@ -157,13 +164,15 @@ src_compile() {
src_install() {
# Get xdg-desktop-menu to play nicely while doing the install.
dodir /etc/xdg/menus /usr/share/{applications,desktop-directories}
XDG_UTILS_INSTALL_MODE=system \
XDG_DATA_DIRS="${ED}"/usr/share \
XDG_CONFIG_DIRS="${ED}"/etc/xdg \
multibuild_foreach_variant run_in_build_dir default
rm -f "${ED}"/usr/share/applications/*.cache || die
# Delete the bundled fonts. These could be packaged separately but
# they're only for the HTML documentation.
rm -r "${ED}"/usr/share/doc/${PF}/html/fonts/ || die
rm -r "${ED}"/usr/share/doc/${PF}/html/fonts || die
}

Binary file not shown.

@ -48,7 +48,7 @@ DEPEND="
ewf? ( sys-libs/zlib )
java? (
>=dev-java/c3p0-0.9.5:0
dev-java/commons-lang:3.1
dev-java/commons-lang:3.6
dev-java/guava:20
>=dev-java/jdbc-postgresql-9.4:0
>=dev-java/joda-time-2.4:0
@ -244,7 +244,7 @@ src_compile() {
# Create symlinks of jars for the required dependencies
if use java; then
java-pkg_jar-from --into "${TSK_JAR_DIR}" c3p0
java-pkg_jar-from --into "${TSK_JAR_DIR}" commons-lang:3.1
java-pkg_jar-from --into "${TSK_JAR_DIR}" commons-lang:3.6
java-pkg_jar-from --into "${TSK_JAR_DIR}" guava:20
java-pkg_jar-from --into "${TSK_JAR_DIR}" jdbc-postgresql
java-pkg_jar-from --into "${TSK_JAR_DIR}" joda-time

@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -54,7 +54,7 @@ DEPEND="
ewf? ( sys-libs/zlib )
java? (
>=dev-java/c3p0-0.9.5:0
dev-java/commons-lang:3.1
dev-java/commons-lang:3.6
dev-java/guava:20
>=dev-java/jdbc-postgresql-9.4:0
>=dev-java/joda-time-2.4:0
@ -250,7 +250,7 @@ src_compile() {
pushd "${S}"/bindings/java &>/dev/null || die
java-pkg_jar-from --into "${TSK_JAR_DIR}" c3p0
java-pkg_jar-from --into "${TSK_JAR_DIR}" commons-lang:3.1
java-pkg_jar-from --into "${TSK_JAR_DIR}" commons-lang:3.6
java-pkg_jar-from --into "${TSK_JAR_DIR}" guava:20
java-pkg_jar-from --into "${TSK_JAR_DIR}" jdbc-postgresql
java-pkg_jar-from --into "${TSK_JAR_DIR}" joda-time

Binary file not shown.

@ -1,53 +0,0 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit qmake-utils
if [[ ${PV} == *9999* ]]; then
inherit git-r3
EGIT_REPO_URI=${EGIT_REPO_URI:-"https://gitlab.com/CalcProgrammer1/OpenRGB"}
else
SRC_URI="https://gitlab.com/CalcProgrammer1/OpenRGB/-/archive/release_${PV}/OpenRGB-release_${PV}.tar.bz2"
S="${WORKDIR}/OpenRGB-release_${PV}"
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="Open source RGB lighting control that doesn't depend on manufacturer software"
HOMEPAGE="https://gitlab.com/CalcProgrammer1/OpenRGB/"
LICENSE="GPL-2"
SLOT="0"
RDEPEND="
dev-libs/hidapi:=
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
virtual/libusb:1
"
DEPEND="
${RDEPEND}
dev-cpp/nlohmann_json
"
BDEPEND="
virtual/pkgconfig
"
src_prepare() {
default
rm -r dependencies/{hidapi,libusb,json}* || die
if [[ ${PV} != *9999* ]]; then
eapply "${FILESDIR}/OpenRGB-0.5-build-system.patch"
fi
}
src_configure() {
eqmake5 INCLUDEPATH+="${ESYSROOT}/usr/include/nlohmann"
}
src_install() {
emake INSTALL_ROOT="${ED}" install
dodoc README.md OpenRGB.patch
}

@ -23,7 +23,7 @@ REQUIRED_USE="
RDEPEND="lz4? ( app-arch/lz4 )
snappy? ( app-arch/snappy )
zlib? ( app-arch/gzip )
ssl? ( dev-libs/openssl:0 )
ssl? ( dev-libs/openssl:0= )
!oniguruma? ( !pcre2? ( pcre? ( dev-libs/libpcre ) ) )
pcre2? ( dev-libs/libpcre2 )
oniguruma? ( dev-libs/oniguruma )"

@ -23,7 +23,7 @@ REQUIRED_USE="
RDEPEND="lz4? ( app-arch/lz4 )
snappy? ( app-arch/snappy )
zlib? ( app-arch/gzip )
ssl? ( dev-libs/openssl:0 )
ssl? ( dev-libs/openssl:0= )
!oniguruma? ( !pcre2? ( pcre? ( dev-libs/libpcre ) ) )
pcre2? ( dev-libs/libpcre2 )
oniguruma? ( dev-libs/oniguruma )"

@ -21,7 +21,7 @@ REQUIRED_USE="
RDEPEND="lz4? ( app-arch/lz4 )
snappy? ( app-arch/snappy )
zlib? ( app-arch/gzip )
ssl? ( dev-libs/openssl:0 )
ssl? ( dev-libs/openssl:0= )
!oniguruma? ( !pcre2? ( pcre? ( dev-libs/libpcre ) ) )
pcre2? ( dev-libs/libpcre2 )
oniguruma? ( dev-libs/oniguruma )

@ -17,7 +17,6 @@ KEYWORDS="amd64 x86"
BDEPEND="
dev-util/intltool
dev-util/gtk-builder-convert
>=sys-devel/gettext-0.18.3
"
RDEPEND="

@ -0,0 +1 @@
DIST OpenRGBEffectsPlugin-a8ea7eef586d9dc341fbe67f60cb8cb4d69a9504.tar.bz2 345726 BLAKE2B e8cf741ba935521c449d3b2a326a44b709c919cb3e3694cbd07939205b8f589dcc00b46cdb1f08684e4e4d3d0a798aade7c051ebc16c3c82368fbeb94ec84fb5 SHA512 134b46090386f94fcf77c4a0a1807ac94ecb8323f318e01098a1edf9b3cf555dbc7f1c5abce484dd4aba9cea32ae7aac5abc0f5f1d26e8edee4afe197f5a254f

@ -0,0 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>chutzpah@gentoo.org</email>
<name>Patrick McLean</name>
</maintainer>
<maintainer type="person" proxied="yes">
<email>alexey+gentoo@asokolov.org</email>
<name>Alexey Sokolov</name>
</maintainer>
<upstream>
<remote-id type="gitlab">OpenRGBDevelopers/OpenRGBEffectsPlugin</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,47 @@
# Copyright 2020-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit qmake-utils
MY_GIT_COMMIT="a8ea7eef586d9dc341fbe67f60cb8cb4d69a9504"
SRC_URI="https://gitlab.com/OpenRGBDevelopers/OpenRGBEffectsPlugin/-/archive/${MY_GIT_COMMIT}/OpenRGBEffectsPlugin-${MY_GIT_COMMIT}.tar.bz2"
S="${WORKDIR}/OpenRGBEffectsPlugin-${MY_GIT_COMMIT}"
KEYWORDS="~amd64"
DESCRIPTION="Plugin for OpenRGB with various Effects that can be synced across devices"
HOMEPAGE="https://gitlab.com/OpenRGBDevelopers/OpenRGBEffectsPlugin"
LICENSE="GPL-2"
SLOT="0"
RDEPEND="
>=app-misc/openrgb-0.6-r1:=
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
media-libs/openal
"
DEPEND="
${RDEPEND}
dev-cpp/nlohmann_json
"
src_prepare() {
default
rm -r OpenRGB || die
}
src_configure() {
eqmake5 \
INCLUDEPATH+="${ESYSROOT}/usr/include/nlohmann" \
INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB" \
INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/RGBController" \
INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/i2c_smbus" \
INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/net_port"
}
src_install() {
exeinto /usr/$(get_libdir)/OpenRGB/plugins
doexe libOpenRGBEffectsPlugin.so.1.0
}

@ -0,0 +1 @@
DIST openrgbskinplugin-3d937cf5112a98052f98a106dc0f5de1eafc20ea.tar.bz2 14673 BLAKE2B e9ba7e072882a995d9d37274e612f0ad404c369bafb4e59db379f43242873f08f36adc5521277c2bac4e730c35cde561e535e30e5a37155bfe0fa408d5ba3b45 SHA512 1a23b843230da6778079873949e72280efe46c6c015eb27456283bae5d88b539d8a5f69e6f1580400e1cfa746bcd36b6a1ae597f510b0c331d16f56b6ae28670

@ -0,0 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>chutzpah@gentoo.org</email>
<name>Patrick McLean</name>
</maintainer>
<maintainer type="person" proxied="yes">
<email>alexey+gentoo@asokolov.org</email>
<name>Alexey Sokolov</name>
</maintainer>
<upstream>
<remote-id type="gitlab">OpenRGBDevelopers/openrgbskinplugin</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,46 @@
# Copyright 2020-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit qmake-utils
MY_GIT_COMMIT="3d937cf5112a98052f98a106dc0f5de1eafc20ea"
SRC_URI="https://gitlab.com/OpenRGBDevelopers/openrgbskinplugin/-/archive/${MY_GIT_COMMIT}/openrgbskinplugin-${MY_GIT_COMMIT}.tar.bz2"
S="${WORKDIR}/openrgbskinplugin-${MY_GIT_COMMIT}"
KEYWORDS="~amd64"
DESCRIPTION="Plugin for OpenRGB that allows you to customize the look and feel of OpenRGB"
HOMEPAGE="https://gitlab.com/OpenRGBDevelopers/openrgbskinplugin"
LICENSE="GPL-2"
SLOT="0"
RDEPEND="
>=app-misc/openrgb-0.6-r1:=
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
"
DEPEND="
${RDEPEND}
dev-cpp/nlohmann_json
"
src_prepare() {
default
rm -r OpenRGB || die
}
src_configure() {
eqmake5 \
INCLUDEPATH+="${ESYSROOT}/usr/include/nlohmann" \
INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB" \
INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/RGBController" \
INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/i2c_smbus" \
INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/net_port"
}
src_install() {
exeinto /usr/$(get_libdir)/OpenRGB/plugins
doexe libOpenRGBSkinPlugin.so.1.0.0
}

@ -0,0 +1 @@
DIST OpenRGBVisualMapPlugin-b603bb994719c765cc52c116c6f9f3983fc2a7b2.tar.bz2 45381 BLAKE2B e289f952a8f6553ff81a557753cbb94fb56111a6724f3141fc44a2f1abe9fa3d8e8b4eb769b54adfcb8ee6580d26378ca0b15fd83c14eb669e4682dad07729b8 SHA512 aab553dff55bc4d6990657ad9f29dbbe5ab78dfb532dba50923b32c2bb86ced8d37fc1190dca1b59f420aba7f0db81fbd0d35d49e499e19b9efa4638269a784d

@ -0,0 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>chutzpah@gentoo.org</email>
<name>Patrick McLean</name>
</maintainer>
<maintainer type="person" proxied="yes">
<email>alexey+gentoo@asokolov.org</email>
<name>Alexey Sokolov</name>
</maintainer>
<upstream>
<remote-id type="gitlab">OpenRGBDevelopers/OpenRGBEffectsPlugin</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,47 @@
# Copyright 2020-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit qmake-utils
MY_GIT_COMMIT="b603bb994719c765cc52c116c6f9f3983fc2a7b2"
SRC_URI="https://gitlab.com/OpenRGBDevelopers/OpenRGBVisualMapPlugin/-/archive/${MY_GIT_COMMIT}/OpenRGBVisualMapPlugin-${MY_GIT_COMMIT}.tar.bz2"
S="${WORKDIR}/OpenRGBVisualMapPlugin-${MY_GIT_COMMIT}"
KEYWORDS="~amd64"
DESCRIPTION="Plugin for OpenRGB to create virtual devices out of multiple real ones"
HOMEPAGE="https://gitlab.com/OpenRGBDevelopers/OpenRGBEffectsPlugin"
LICENSE="GPL-2"
SLOT="0"
RDEPEND="
>=app-misc/openrgb-0.6-r1:=
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
"
DEPEND="
${RDEPEND}
dev-cpp/nlohmann_json
"
src_prepare() {
default
rm -r OpenRGB || die
sed -i -e '/RGBController.cpp/d' OpenRGBVisualMapPlugin.pro || die
}
src_configure() {
eqmake5 \
INCLUDEPATH+="${ESYSROOT}/usr/include/nlohmann" \
INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB" \
INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/RGBController" \
INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/i2c_smbus" \
INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/net_port"
}
src_install() {
exeinto /usr/$(get_libdir)/OpenRGB/plugins
doexe libOpenRGBVisualMapPlugin.so.1.0.0
}

@ -1,2 +1 @@
DIST OpenRGB-release_0.5.tar.bz2 24183948 BLAKE2B c3e6eaab2224f97287a454375486cdacc6814f35fe6752271293d30110d066998d95a901224929cdec7f57a3983fa9d8f5dc488a2ccb6d128df36fac6bc4582a SHA512 d0bd69de94e7e94b9972c07851602d8437b4485d02e83e2fe84f21292acbeef32624ec82d5cb79de85a4dfec35431c469b124b0cc41cf1f741e6e52803dd82eb
DIST OpenRGB-release_0.6.tar.bz2 24301305 BLAKE2B 20d8f8f7a3189fd5f94b008b11c869d2a8584dc038322e4ac8649c7b57172637133dd18c05ed8eaa6907ba7c097280727a9e7ce2e676250146044bbc2d66921e SHA512 9eb090e1cab121308f3adea8c50feb819a19cb52feff29e45ec24dfbb37013421f53d2ac614496781af1ef4e612dd41c1abafec509430df7d0715aba59ee5a32

@ -0,0 +1,24 @@
Allow installation of plugins not only in ~/.config
Used by app-misc/openrgb-plugin-* packages
diff --git a/PluginManager.cpp b/PluginManager.cpp
index b424b8b..991fb75 100644
--- a/PluginManager.cpp
+++ b/PluginManager.cpp
@@ -15,7 +15,8 @@ void PluginManager::ScanAndLoadPlugins(bool dark_theme)
\*--------------------------------------------------------------------------------------*/
OpenRGBPluginInterface *OpenRGBPlugin = nullptr;
- const QDir pluginsDir = QString().fromStdString(ResourceManager::get()->GetConfigurationDirectory()) + "plugins/";
+ for (const QDir pluginsDir : {QString().fromStdString(ResourceManager::get()->GetConfigurationDirectory()) + "plugins/",
+ QString().fromStdString(GENTOO_PLUGINS_DIR)}) {
std::vector<std::string> FileList;
@@ -54,4 +56,5 @@ void PluginManager::ScanAndLoadPlugins(bool dark_theme)
std::cout << loader.errorString().toStdString() << std::endl;
}
}
+ }
}

@ -0,0 +1,75 @@
# Copyright 2020-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic qmake-utils
if [[ ${PV} == *9999* ]]; then
inherit git-r3
EGIT_REPO_URI=${EGIT_REPO_URI:-"https://gitlab.com/CalcProgrammer1/OpenRGB"}
else
SRC_URI="https://gitlab.com/CalcProgrammer1/OpenRGB/-/archive/release_${PV}/OpenRGB-release_${PV}.tar.bz2"
S="${WORKDIR}/OpenRGB-release_${PV}"
KEYWORDS="~amd64 ~x86"
PATCHES=(
"${FILESDIR}"/OpenRGB-0.5-build-system.patch
)
fi
DESCRIPTION="Open source RGB lighting control that doesn't depend on manufacturer software"
HOMEPAGE="https://openrgb.org https://gitlab.com/CalcProgrammer1/OpenRGB/"
LICENSE="GPL-2"
SLOT="0/1"
RDEPEND="
dev-libs/hidapi:=
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
virtual/libusb:1
"
DEPEND="
${RDEPEND}
dev-cpp/nlohmann_json
"
BDEPEND="
virtual/pkgconfig
"
PATCHES+=(
"${FILESDIR}"/OpenRGB-0.6-pkgconf.patch
"${FILESDIR}"/OpenRGB-0.6-plugins.patch
)
src_prepare() {
default
rm -r dependencies/{hidapi,libusb,json}* || die
}
src_configure() {
# Some plugins require symbols defined in the main binary.
# The official build system bundles OpenRGB as a submodule instead, and
# compiles the .cpp file again.
append-ldflags -Wl,--export-dynamic
eqmake5 \
INCLUDEPATH+="${ESYSROOT}/usr/include/nlohmann" \
DEFINES+="GENTOO_PLUGINS_DIR=\\\\\"\\\"${EPREFIX}/usr/$(get_libdir)/OpenRGB/plugins\\\\\"\\\""
}
src_install() {
emake INSTALL_ROOT="${ED}" install
dodoc README.md OpenRGB.patch
# This is for plugins. Upstream doesn't install any headers at all.
insinto /usr/include/OpenRGB
doins *.h
insinto /usr/include/OpenRGB/RGBController
doins RGBController/*.h
insinto /usr/include/OpenRGB/i2c_smbus
doins i2c_smbus/*.h
insinto /usr/include/OpenRGB/net_port
doins net_port/*.h
}

@ -3,7 +3,7 @@
EAPI=7
inherit qmake-utils
inherit flag-o-matic qmake-utils
if [[ ${PV} == *9999* ]]; then
inherit git-r3
@ -18,9 +18,9 @@ else
fi
DESCRIPTION="Open source RGB lighting control that doesn't depend on manufacturer software"
HOMEPAGE="https://gitlab.com/CalcProgrammer1/OpenRGB/"
HOMEPAGE="https://openrgb.org https://gitlab.com/CalcProgrammer1/OpenRGB/"
LICENSE="GPL-2"
SLOT="0"
SLOT="0/1"
RDEPEND="
dev-libs/hidapi:=
@ -40,6 +40,7 @@ BDEPEND="
PATCHES+=(
"${FILESDIR}"/OpenRGB-0.6-pkgconf.patch
"${FILESDIR}"/OpenRGB-0.6-plugins.patch
)
src_prepare() {
@ -48,11 +49,28 @@ src_prepare() {
}
src_configure() {
eqmake5 INCLUDEPATH+="${ESYSROOT}/usr/include/nlohmann"
# Some plugins require symbols defined in the main binary.
# The official build system bundles OpenRGB as a submodule instead, and
# compiles the .cpp file again.
append-ldflags -Wl,--export-dynamic
eqmake5 \
INCLUDEPATH+="${ESYSROOT}/usr/include/nlohmann" \
DEFINES+="GENTOO_PLUGINS_DIR=\\\\\"\\\"${EPREFIX}/usr/$(get_libdir)/OpenRGB/plugins\\\\\"\\\""
}
src_install() {
emake INSTALL_ROOT="${ED}" install
dodoc README.md OpenRGB.patch
# This is for plugins. Upstream doesn't install any headers at all.
insinto /usr/include/OpenRGB
doins *.h
insinto /usr/include/OpenRGB/RGBController
doins RGBController/*.h
insinto /usr/include/OpenRGB/i2c_smbus
doins i2c_smbus/*.h
insinto /usr/include/OpenRGB/net_port
doins net_port/*.h
}

@ -24,6 +24,7 @@ IUSE="debug nethack pam selinux multiuser"
CDEPEND="
>=sys-libs/ncurses-5.2:0=
virtual/libcrypt:=
pam? ( sys-libs/pam )"
RDEPEND="${CDEPEND}
acct-group/utmp

@ -24,6 +24,7 @@ IUSE="debug nethack pam selinux multiuser"
CDEPEND="
>=sys-libs/ncurses-5.2:0=
virtual/libcrypt:=
pam? ( sys-libs/pam )"
RDEPEND="${CDEPEND}
acct-group/utmp

@ -2,3 +2,4 @@ DIST tmuxp-1.5.4.tar.gz 843048 BLAKE2B 863b428198e8bb2895802ba7365ac2ec43fc75c70
DIST tmuxp-1.6.5.tar.gz 1017117 BLAKE2B 4cc8955f9dcfffd237ffde3e7487496aaf85dd886fd124ad76d61e10fa64f90bac79cc4df9aac63122446b7a4727b01ceaea502d7bbe5f5ba7f68e89bbb86feb SHA512 9095c196f20b537662ffa9d819c675e325fda7f49fb3fd9811f00fc1e1c763b7ea29cdd500bb7d775d1673ab2fc1386f662a2ff6744ffcd2b7aaab13a014cce3
DIST tmuxp-1.7.2.tar.gz 1027293 BLAKE2B 2564d196c9c327584d24f57ce72165a7cdff2209fe6869a4d3519eb0246329cd8159ecaa20c2a39e153bde224201b1f846f4244c4df72ac540cf0d71f9fba75a SHA512 2ccf63c9f5b7049438ca6079894aac92a0f7496a56c68d88e5a9d5c2a42188a4e40d559792857881f492b28392a329697d4d43781f38ee7c49ed592aac8a69f8
DIST tmuxp-1.8.2.tar.gz 1019801 BLAKE2B 1e02139df6cc5ee0aec31e3a39413297195b6951a9acaa487a8f705f7f28b79ece0e5388284d017dbf45744540eecb0809e4a7e668f91b824aa0e4adcd64bcf8 SHA512 b6993be72bdab1ef469dbf43d056fbd812612437716af8a4c2e803a55f7ad803246789ccb0b3cafa5ad9047ae86426b4aede27480f20f6d3593d9bf737b74323
DIST tmuxp-1.9.2.tar.gz 816621 BLAKE2B f471ba2b7a6f97b123661ca2473c63273dc79b08cbe25f4ea756d174ab58e5070d0fc2dfbe8ec254785946e2fa139121d2e9fa5d7d5c127c18580e514064523d SHA512 e4af94fde475c999cee5aa6ad4b60a05c3a9f6f338290406043544250c4dcf688bc39e501631f442b59009156e04eb383098ea717fe7be8e9811b44886515935

@ -0,0 +1,10 @@
diff --git a/requirements/base.txt b/requirements/base.txt
index 4b713f1..3ca88e5 100644
--- a/requirements/base.txt
+++ b/requirements/base.txt
@@ -1,4 +1,4 @@
kaptan>=0.5.10
libtmux>=0.10.1,<0.11
-click>=7,<8.1
+click>=7
colorama>=0.3.9

@ -0,0 +1,13 @@
diff --git a/tests/test_workspacebuilder.py b/tests/test_workspacebuilder.py
index e85b409..22368b1 100644
--- a/tests/test_workspacebuilder.py
+++ b/tests/test_workspacebuilder.py
@@ -343,7 +343,7 @@ def test_environment_variables(session):
assert session.show_environment('FOO') == 'BAR'
assert session.show_environment('PATH') == '/tmp'
-
+@pytest.mark.skip("hangs indefinitely")
def test_automatic_rename_option(session):
"""With option automatic-rename: on."""
yaml_config = loadfixture("workspacebuilder/window_automatic_rename.yaml")

@ -0,0 +1,43 @@
# Copyright 2019-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..10} pypy3 )
inherit distutils-r1
DESCRIPTION="tmux session manager. built on libtmux"
HOMEPAGE="https://tmuxp.git-pull.com"
SRC_URI="https://github.com/tmux-python/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
RDEPEND="
>=app-misc/tmux-3.0a
>=dev-python/kaptan-0.5.10[${PYTHON_USEDEP}]
>=dev-python/libtmux-0.10.1[${PYTHON_USEDEP}]
<dev-python/libtmux-0.11[${PYTHON_USEDEP}]
>=dev-python/click-7.0[${PYTHON_USEDEP}]
>=dev-python/colorama-0.3.9[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
>=dev-python/pytest-rerunfailures-4.2[${PYTHON_USEDEP}]
!dev-python/flaky
)
"
PATCHES=(
"${FILESDIR}/tmuxp-1.6.4-tests.patch"
"${FILESDIR}/tmuxp-1.7.2-tests.patch"
"${FILESDIR}/tmuxp-1.9.2-relax-click-dep.patch"
"${FILESDIR}/tmuxp-1.9.2-tests.patch"
)
distutils_enable_tests pytest
python_test() {
SHELL="/bin/bash" epytest
}

Binary file not shown.

@ -22,6 +22,7 @@ RESTRICT="test"
# we need gettext because we run autoconf (AM_ICONV)
RDEPEND="
>=sys-libs/ncurses-5.1:0=
virtual/libcrypt:=
virtual/libiconv"
DEPEND="${RDEPEND}
sys-devel/gettext

@ -22,6 +22,7 @@ RESTRICT="test"
# we need gettext because we run autoconf (AM_ICONV)
RDEPEND="
>=sys-libs/ncurses-5.1:0=
virtual/libcrypt:=
virtual/libiconv"
DEPEND="${RDEPEND}
sys-devel/gettext

Binary file not shown.

@ -1,2 +1 @@
DIST pdfgrep-2.0.1.tar.gz 187217 BLAKE2B f498158e63e2f8419829df0d1801a31d3dff02627ccf0efee7239650203300233d1a19a5c72c57eb24495f2b5403e0e2c6a479b0f28a8d053aa578c732866b1a SHA512 4285f8cb514975a0040cdd6b82133090e27ba5c2f95ca880dccc3dd4fa3427260a5fc73d807df9124a79fa36ac6ed8c11380cde11e00599ed7134d92c50df4a0
DIST pdfgrep-2.1.2.tar.gz 197289 BLAKE2B 94d20649104f7b17adf2d99bdf2ce215cf16746c649f7ec77d58a41b90b13dd903d47b5ed2d35f56ca7ca12ae49cfb8a57004f9ad3ee6b8930f533b33d7d8463 SHA512 27bc4741e5203b2fd265815a22ad8d702b3455b2ae932641b040fc9ce615bc9ff0abef221eb2ec8aa59c79cb139d31184261d076f9731177129a473d62aa4e5c

@ -1,33 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="A tool similar to grep which searches text in PDFs"
HOMEPAGE="http://www.pdfgrep.org/"
SRC_URI="http://www.pdfgrep.org/download/${P}.tar.gz"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="amd64 x86"
IUSE="+pcre test unac"
RESTRICT="!test? ( test )"
RDEPEND="
app-text/poppler:=[cxx]
dev-libs/libgcrypt:0=
pcre? ( dev-libs/libpcre[cxx] )
unac? ( app-text/unac )"
DEPEND="${RDEPEND}
virtual/pkgconfig
test? (
dev-texlive/texlive-latex
dev-texlive/texlive-latexrecommended
dev-util/dejagnu
)"
src_configure() {
econf \
$(use_with pcre libpcre) \
$(use_with unac)
}

@ -10,7 +10,7 @@ SRC_URI="mirror://sourceforge/qpdf/${P}.tar.gz"
LICENSE="|| ( Apache-2.0 Artistic-2 )"
# subslot = libqpdf soname version
SLOT="0/28"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris"
KEYWORDS="~alpha amd64 ~arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris"
IUSE="doc examples ssl test"
RESTRICT="!test? ( test )"

Binary file not shown.

@ -0,0 +1,294 @@
From 3bf91fabf641f3f5114bf3893de40a31aae36e13 Mon Sep 17 00:00:00 2001
From: Thomas Deutschmann <whissi@gentoo.org>
Date: Tue, 22 Jun 2021 23:56:54 +0200
Subject: [PATCH 5/5] Add OpenSSL 3.0.0 support
Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
---
cmake/ssl.cmake | 59 +++++++++++++------
mysys/my_md5.cc | 2 +
.../bindings/xcom/xcom/xcom_ssl_transport.cc | 4 ++
plugin/x/client/xconnection_impl.cc | 4 ++
sql-common/client.cc | 2 +
sql/mysqld.cc | 2 +
sql/sys_vars.cc | 18 +++++-
vio/viosslfactories.cc | 2 +
8 files changed, 74 insertions(+), 19 deletions(-)
diff --git a/cmake/ssl.cmake b/cmake/ssl.cmake
index 18c95dfac..dd2f7e657 100644
--- a/cmake/ssl.cmake
+++ b/cmake/ssl.cmake
@@ -201,34 +201,59 @@ MACRO (MYSQL_CHECK_SSL)
NAMES crypto libcrypto libeay32
HINTS ${OPENSSL_ROOT_DIR}/lib)
- IF(OPENSSL_INCLUDE_DIR)
+ IF(OPENSSL_INCLUDE_DIR AND EXISTS "${OPENSSL_INCLUDE_DIR}/openssl/opensslv.h")
# Verify version number. Version information looks like:
# #define OPENSSL_VERSION_NUMBER 0x1000103fL
# Encoded as MNNFFPPS: major minor fix patch status
FILE(STRINGS "${OPENSSL_INCLUDE_DIR}/openssl/opensslv.h"
OPENSSL_VERSION_NUMBER
- REGEX "^#[ ]*define[\t ]+OPENSSL_VERSION_NUMBER[\t ]+0x[0-9].*"
- )
- STRING(REGEX REPLACE
- "^.*OPENSSL_VERSION_NUMBER[\t ]+0x([0-9]).*$" "\\1"
- OPENSSL_MAJOR_VERSION "${OPENSSL_VERSION_NUMBER}"
- )
- STRING(REGEX REPLACE
- "^.*OPENSSL_VERSION_NUMBER[\t ]+0x[0-9]([0-9][0-9]).*$" "\\1"
- OPENSSL_MINOR_VERSION "${OPENSSL_VERSION_NUMBER}"
- )
- STRING(REGEX REPLACE
- "^.*OPENSSL_VERSION_NUMBER[\t ]+0x[0-9][0-9][0-9]([0-9][0-9]).*$" "\\1"
- OPENSSL_FIX_VERSION "${OPENSSL_VERSION_NUMBER}"
+ REGEX "^#[\t ]*define[\t ]+OPENSSL_VERSION_NUMBER[\t ]+0x[0-9].*"
)
+
+ IF(OPENSSL_VERSION_NUMBER)
+ STRING(REGEX REPLACE
+ "^.*OPENSSL_VERSION_NUMBER[\t ]+0x([0-9]).*$" "\\1"
+ OPENSSL_MAJOR_VERSION "${OPENSSL_VERSION_NUMBER}"
+ )
+ STRING(REGEX REPLACE
+ "^.*OPENSSL_VERSION_NUMBER[\t ]+0x[0-9]([0-9][0-9]).*$" "\\1"
+ OPENSSL_MINOR_VERSION "${OPENSSL_VERSION_NUMBER}"
+ )
+ STRING(REGEX REPLACE
+ "^.*OPENSSL_VERSION_NUMBER[\t ]+0x[0-9][0-9][0-9]([0-9][0-9]).*$" "\\1"
+ OPENSSL_FIX_VERSION "${OPENSSL_VERSION_NUMBER}"
+ )
+ ELSE()
+ FILE(STRINGS "${OPENSSL_INCLUDE_DIR}/openssl/opensslv.h"
+ OPENSSL_VERSION_STR
+ REGEX "^#[\t ]*define[\t ]+OPENSSL_VERSION_STR[\t ]+\"([0-9])+\\.([0-9])+\\.([0-9])+\".*"
+ )
+
+ STRING(REGEX REPLACE
+ "^.*OPENSSL_VERSION_STR[\t ]+\"([0-9]+)\\.[0-9]+\\.[0-9]+\".*$" "\\1"
+ OPENSSL_MAJOR_VERSION "${OPENSSL_VERSION_STR}"
+ )
+ STRING(REGEX REPLACE
+ "^.*OPENSSL_VERSION_STR[\t ]+\"[0-9]+\\.([0-9]+)\\.[0-9]+\".*$" "\\1"
+ OPENSSL_MINOR_VERSION "${OPENSSL_VERSION_STR}"
+ )
+ STRING(REGEX REPLACE
+ "^.*OPENSSL_VERSION_STR[\t ]+\"[0-9]+\\.[0-9]+\\.([0-9]+)\".*$" "\\1"
+ OPENSSL_FIX_VERSION "${OPENSSL_VERSION_STR}"
+ )
+ ENDIF()
ENDIF()
- IF("${OPENSSL_MAJOR_VERSION}.${OPENSSL_MINOR_VERSION}.${OPENSSL_FIX_VERSION}" VERSION_GREATER "1.1.0")
+
+ INCLUDE(CheckSymbolExists)
+
+ CHECK_SYMBOL_EXISTS(TLS1_3_VERSION "openssl/tls1.h" HAVE_TLS1_3_VERSION)
+ IF(HAVE_TLS1_3_VERSION)
ADD_DEFINITIONS(-DHAVE_TLSv13)
ENDIF()
IF(OPENSSL_INCLUDE_DIR AND
OPENSSL_LIBRARY AND
CRYPTO_LIBRARY AND
- OPENSSL_MAJOR_VERSION STREQUAL "1"
+ OPENSSL_MAJOR_VERSION VERSION_GREATER_EQUAL "1"
)
SET(OPENSSL_FOUND TRUE)
FIND_PROGRAM(OPENSSL_EXECUTABLE openssl
@@ -292,8 +317,6 @@ MACRO (MYSQL_CHECK_SSL)
MESSAGE(STATUS "OPENSSL_MINOR_VERSION = ${OPENSSL_MINOR_VERSION}")
MESSAGE(STATUS "OPENSSL_FIX_VERSION = ${OPENSSL_FIX_VERSION}")
- INCLUDE(CheckSymbolExists)
-
CMAKE_PUSH_CHECK_STATE()
SET(CMAKE_REQUIRED_INCLUDES ${OPENSSL_INCLUDE_DIR})
CHECK_SYMBOL_EXISTS(SHA512_DIGEST_LENGTH "openssl/sha.h"
diff --git a/mysys/my_md5.cc b/mysys/my_md5.cc
index 86203619f..37ed3c8b2 100644
--- a/mysys/my_md5.cc
+++ b/mysys/my_md5.cc
@@ -56,7 +56,9 @@ static void my_md5_hash(unsigned char *digest, unsigned const char *buf,
int compute_md5_hash(char *digest, const char *buf, int len) {
int retval = 0;
int fips_mode = 0;
+#if defined(OPENSSL_FIPS)
fips_mode = FIPS_mode();
+#endif
/* If fips mode is ON/STRICT restricted method calls will result into abort,
* skipping call. */
if (fips_mode == 0) {
diff --git a/plugin/group_replication/libmysqlgcs/src/bindings/xcom/xcom/xcom_ssl_transport.cc b/plugin/group_replication/libmysqlgcs/src/bindings/xcom/xcom/xcom_ssl_transport.cc
index 4ed9f9ac9..895443166 100644
--- a/plugin/group_replication/libmysqlgcs/src/bindings/xcom/xcom/xcom_ssl_transport.cc
+++ b/plugin/group_replication/libmysqlgcs/src/bindings/xcom/xcom/xcom_ssl_transport.cc
@@ -325,6 +325,7 @@ error:
return 1;
}
+#if defined(OPENSSL_FIPS)
#define OPENSSL_ERROR_LENGTH 512
static int configure_ssl_fips_mode(const uint fips_mode) {
int rc = -1;
@@ -348,6 +349,7 @@ static int configure_ssl_fips_mode(const uint fips_mode) {
EXIT:
return rc;
}
+#endif
static int configure_ssl_ca(SSL_CTX *ssl_ctx, const char *ca_file,
const char *ca_path) {
@@ -544,10 +546,12 @@ int xcom_init_ssl(const char *server_key_file, const char *server_cert_file,
int verify_server = SSL_VERIFY_NONE;
int verify_client = SSL_VERIFY_NONE;
+#if defined(OPENSSL_FIPS)
if (configure_ssl_fips_mode(ssl_fips_mode) != 1) {
G_ERROR("Error setting the ssl fips mode");
goto error;
}
+#endif
SSL_library_init();
SSL_load_error_strings();
diff --git a/plugin/x/client/xconnection_impl.cc b/plugin/x/client/xconnection_impl.cc
index c1686c6d5..3ae34fdfd 100644
--- a/plugin/x/client/xconnection_impl.cc
+++ b/plugin/x/client/xconnection_impl.cc
@@ -617,6 +617,7 @@ XError Connection_impl::get_ssl_error(const int error_id) {
return XError(CR_SSL_CONNECTION_ERROR, buffer);
}
+#if defined(OPENSSL_FIPS)
/**
Set fips mode in openssl library,
When we set fips mode ON/STRICT, it will perform following operations:
@@ -656,6 +657,7 @@ int set_fips_mode(const uint32_t fips_mode,
EXIT:
return rc;
}
+#endif
XError Connection_impl::activate_tls() {
if (nullptr == m_vio) return get_socket_error(SOCKET_ECONNRESET);
@@ -666,12 +668,14 @@ XError Connection_impl::activate_tls() {
if (!m_context->m_ssl_config.is_configured())
return XError{CR_SSL_CONNECTION_ERROR, ER_TEXT_TLS_NOT_CONFIGURATED, true};
+#if defined(OPENSSL_FIPS)
char err_string[OPENSSL_ERROR_LENGTH] = {'\0'};
if (set_fips_mode(
static_cast<uint32_t>(m_context->m_ssl_config.m_ssl_fips_mode),
err_string) != 1) {
return XError{CR_SSL_CONNECTION_ERROR, err_string, true};
}
+#endif
auto ssl_ctx_flags = process_tls_version(
details::null_when_empty(m_context->m_ssl_config.m_tls_version));
diff --git a/sql-common/client.cc b/sql-common/client.cc
index 1316d54a7..554970378 100644
--- a/sql-common/client.cc
+++ b/sql-common/client.cc
@@ -8019,6 +8019,7 @@ int STDCALL mysql_options(MYSQL *mysql, enum mysql_option option,
return 1;
break;
case MYSQL_OPT_SSL_FIPS_MODE: {
+#if defined(OPENSSL_FIPS)
char ssl_err_string[OPENSSL_ERROR_LENGTH] = {'\0'};
ENSURE_EXTENSIONS_PRESENT(&mysql->options);
mysql->options.extension->ssl_fips_mode = *static_cast<const uint *>(arg);
@@ -8030,6 +8031,7 @@ int STDCALL mysql_options(MYSQL *mysql, enum mysql_option option,
"Set Fips mode ON/STRICT failed, detail: '%s'.", ssl_err_string);
return 1;
}
+#endif
} break;
case MYSQL_OPT_SSL_MODE:
ENSURE_EXTENSIONS_PRESENT(&mysql->options);
diff --git a/sql/mysqld.cc b/sql/mysqld.cc
index 83643f76a..dfdc23ab7 100644
--- a/sql/mysqld.cc
+++ b/sql/mysqld.cc
@@ -5134,12 +5134,14 @@ static void init_ssl() {
}
static int init_ssl_communication() {
+#if defined(OPENSSL_FIPS)
char ssl_err_string[OPENSSL_ERROR_LENGTH] = {'\0'};
int ret_fips_mode = set_fips_mode(opt_ssl_fips_mode, ssl_err_string);
if (ret_fips_mode != 1) {
LogErr(ERROR_LEVEL, ER_SSL_FIPS_MODE_ERROR, ssl_err_string);
return 1;
}
+#endif
if (TLS_channel::singleton_init(&mysql_main, mysql_main_channel, opt_use_ssl,
&server_main_callback, opt_initialize))
return 1;
diff --git a/sql/sys_vars.cc b/sql/sys_vars.cc
index 3b8473bd1..c22c38305 100644
--- a/sql/sys_vars.cc
+++ b/sql/sys_vars.cc
@@ -4614,6 +4614,7 @@ static Sys_var_ulong Sys_max_execution_time(
HINT_UPDATEABLE SESSION_VAR(max_execution_time), CMD_LINE(REQUIRED_ARG),
VALID_RANGE(0, ULONG_MAX), DEFAULT(0), BLOCK_SIZE(1));
+#if defined(OPENSSL_FIPS)
static bool update_fips_mode(sys_var *, THD *, enum_var_type) {
char ssl_err_string[OPENSSL_ERROR_LENGTH] = {'\0'};
if (set_fips_mode(opt_ssl_fips_mode, ssl_err_string) != 1) {
@@ -4624,15 +4625,30 @@ static bool update_fips_mode(sys_var *, THD *, enum_var_type) {
return false;
}
}
+#endif
+#if defined(OPENSSL_FIPS)
static const char *ssl_fips_mode_names[] = {"OFF", "ON", "STRICT", nullptr};
+#else
+static const char *ssl_fips_mode_names[] = {"OFF", 0};
+#endif
static Sys_var_enum Sys_ssl_fips_mode(
"ssl_fips_mode",
"SSL FIPS mode (applies only for OpenSSL); "
+#if defined(OPENSSL_FIPS)
"permitted values are: OFF, ON, STRICT",
+#else
+ "permitted values are: OFF",
+#endif
GLOBAL_VAR(opt_ssl_fips_mode), CMD_LINE(REQUIRED_ARG, OPT_SSL_FIPS_MODE),
ssl_fips_mode_names, DEFAULT(0), NO_MUTEX_GUARD, NOT_IN_BINLOG,
- ON_CHECK(nullptr), ON_UPDATE(update_fips_mode), nullptr);
+ ON_CHECK(NULL),
+#if defined(OPENSSL_FIPS)
+ ON_UPDATE(update_fips_mode),
+#else
+ ON_UPDATE(NULL),
+#endif
+ NULL);
static Sys_var_bool Sys_auto_generate_certs(
"auto_generate_certs",
diff --git a/vio/viosslfactories.cc b/vio/viosslfactories.cc
index c25117bd0..11b466bcf 100644
--- a/vio/viosslfactories.cc
+++ b/vio/viosslfactories.cc
@@ -472,6 +472,7 @@ void ssl_start() {
}
}
+#if defined(OPENSSL_FIPS)
/**
Set fips mode in openssl library,
When we set fips mode ON/STRICT, it will perform following operations:
@@ -525,6 +526,7 @@ EXIT:
@returns openssl current fips mode
*/
uint get_fips_mode() { return FIPS_mode(); }
+#endif
long process_tls_version(const char *tls_version) {
const char *separator = ",";
--
2.32.0

@ -0,0 +1,122 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CMAKE_ECLASS=cmake
inherit cmake-multilib flag-o-matic
# wrap the config script
MULTILIB_CHOST_TOOLS=( /usr/bin/mysql_config )
DESCRIPTION="C client library for MariaDB/MySQL"
HOMEPAGE="https://dev.mysql.com/downloads/"
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/mysql/mysql-server.git"
inherit git-r3
else
SRC_URI="https://dev.mysql.com/get/Downloads/MySQL-$(ver_cut 1-2)/mysql-boost-${PV}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
S="${WORKDIR}/mysql-${PV}"
fi
LICENSE="GPL-2"
SLOT="0/21"
IUSE="ldap static-libs"
RDEPEND="
>=app-arch/lz4-0_p131:=[${MULTILIB_USEDEP}]
app-arch/zstd:=[${MULTILIB_USEDEP}]
sys-libs/zlib:=[${MULTILIB_USEDEP}]
ldap? ( dev-libs/cyrus-sasl:=[${MULTILIB_USEDEP}] )
dev-libs/openssl:0=[${MULTILIB_USEDEP}]
"
DEPEND="${RDEPEND}"
# Avoid file collisions, #692580
RDEPEND+=" !<dev-db/mysql-5.6.45-r1"
RDEPEND+=" !=dev-db/mysql-5.7.23*"
RDEPEND+=" !=dev-db/mysql-5.7.24*"
RDEPEND+=" !=dev-db/mysql-5.7.25*"
RDEPEND+=" !=dev-db/mysql-5.7.26-r0"
RDEPEND+=" !=dev-db/mysql-5.7.27-r0"
RDEPEND+=" !<dev-db/percona-server-5.7.26.29-r1"
DOCS=( README )
PATCHES=(
"${FILESDIR}"/${PN}-8.0.22-always-build-decompress-utilities.patch
"${FILESDIR}"/${PN}-8.0.19-do-not-install-comp_err.patch
"${FILESDIR}"/${PN}-8.0.25-add-OpenSSL-3.0.0-support.patch
)
src_prepare() {
sed -i -e 's/CLIENT_LIBS/CONFIG_CLIENT_LIBS/' "scripts/CMakeLists.txt" || die
# All these are for the server only.
# Disable rpm call which would trigger sandbox, #692368
sed -i \
-e '/MYSQL_CHECK_LIBEVENT/d' \
-e '/MYSQL_CHECK_RAPIDJSON/d' \
-e '/MYSQL_CHECK_ICU/d' \
-e '/MYSQL_CHECK_EDITLINE/d' \
-e '/MYSQL_CHECK_CURL/d' \
-e '/ADD_SUBDIRECTORY(man)/d' \
-e '/ADD_SUBDIRECTORY(share)/d' \
-e '/INCLUDE(cmake\/boost/d' \
-e 's/MY_RPM rpm/MY_RPM rpmNOTEXISTENT/' \
CMakeLists.txt || die
# Skip building clients
echo > client/CMakeLists.txt || die
# Forcefully disable auth plugin
if ! use ldap ; then
sed -i -e '/MYSQL_CHECK_SASL/d' CMakeLists.txt || die
echo > libmysql/authentication_ldap/CMakeLists.txt || die
fi
cmake_src_prepare
}
multilib_src_configure() {
CMAKE_BUILD_TYPE="RelWithDebInfo"
# code is not C++17 ready, bug #786402
append-cxxflags -std=c++14
local mycmakeargs=(
-DCMAKE_C_FLAGS_RELWITHDEBINFO=-DNDEBUG
-DCMAKE_CXX_FLAGS_RELWITHDEBINFO=-DNDEBUG
-DINSTALL_LAYOUT=RPM
-DINSTALL_LIBDIR=$(get_libdir)
-DWITH_DEFAULT_COMPILER_OPTIONS=OFF
-DENABLED_LOCAL_INFILE=ON
-DMYSQL_UNIX_ADDR="${EPREFIX}/run/mysqld/mysqld.sock"
-DWITH_LZ4=system
-DWITH_NUMA=OFF
-DWITH_SSL=system
-DWITH_ZLIB=system
-DWITH_ZSTD=system
-DLIBMYSQL_OS_OUTPUT_NAME=mysqlclient
-DSHARED_LIB_PATCH_VERSION="0"
-DCMAKE_POSITION_INDEPENDENT_CODE=ON
-DWITHOUT_SERVER=ON
)
cmake_src_configure
}
multilib_src_install_all() {
doman \
man/my_print_defaults.1 \
man/perror.1 \
man/zlib_decompress.1
if ! use static-libs ; then
find "${ED}" -name "*.a" -delete || die
fi
}

@ -3,11 +3,13 @@ DIST mysql-5.7.31-patches-01.tar.xz 6664 BLAKE2B 8225f286f0090653f9714545daa95cc
DIST mysql-5.7.32-patches-01.tar.xz 6660 BLAKE2B 5c63158615398bdcc4480a0e1b058f491b39ffc7ee33767b425f3b254555411031f64d865e1924afe8aa3926e4cba18049f1219a0a8acc702bc5e011c94fa947 SHA512 bf5e0d27af81e599005268ee243af4cd93f6df95c32cccb268a749322b4e5f73a2ce5d51f0ad1b0e1f2cf4702b8a05e4b2e0b73110fd4aac61f2a0f51bf4952e
DIST mysql-5.7.33-patches-01.tar.xz 6672 BLAKE2B cfa410f9ba5a4ba7e43923e7b5940c2dc6a9356b49230ebaea24bd7eef8a9639fc746e917c22241e19c830b81252e95f38e2c9d6054494de700bae46011fb2f4 SHA512 b16bb9531c44f1c5ec9c08aee6c1f5f5d2e3fe59a0039a54f6c050660a18f7c78b955e7eea7bef4e7dccfcdaa81464e0d8e47ac7d0e40ecb90187865a8a0412e
DIST mysql-5.7.34-patches-01.tar.xz 6676 BLAKE2B b925880bfbb991fcba81964ff658a2ecab38da637a6093270a724ab8e405ab092d5fb9684f53f44d001e34287366df234b841d9ebcae62d49becdb93a3c3e324 SHA512 80a89f4b4a7ecc04f3115c6aaa0b0013e38c2813fa6dea095e826ef3944298715a48e0deacb691d23526b1524b207c83176290faea2461d3fcd94edabe3d8943
DIST mysql-5.7.34-patches-02.tar.xz 6408 BLAKE2B fdb36247832b6282af94ce2f61b5dd77f6b45f9efca4b438ecd5fed8d810d9d51547d0ae3de085e7f5dcc8795b4bc4f1210902495b92859e1d5aec3048256ef3 SHA512 f0513eb7f0c9e415aa972a53af668939934ea4f4fa438f468f32a46ccc2aa3b84ba8edd999e4786256ada34851ad64c81e9dd0e36c2a21da641987dfd18635c3
DIST mysql-8.0.20-patches-01.tar.xz 7176 BLAKE2B 2fc51986c0a4da60521d0e64b9f8705caf8ec3869af930c9729359c3710059fc78aae176523fdf17d10173b404431f31f9bb23ee5c82fba7cbbb4cb39881c005 SHA512 bf8211cf3873f8672b9d3d1dc42b68a1c635690ffdc2d3393eafa83f060ada9f2eaa63f859bf8eecc24976a733d8c7c3b9632ac70f28b5facf48eae921c7ceeb
DIST mysql-8.0.21-patches-01.tar.xz 7212 BLAKE2B 2f1b38b3f84a124e3636cb726f3fcef82d71d933e90429dc78be44afeb4f456a37104359c5fd58ab50f0c03c1698e6c79f9b1e07640f0411c0024f558b4e9595 SHA512 3edcbb529b0623adaed30150d88c9b54d1a3e402faf5c7cff4ed626bbf4e5f50838d8f3c79bd2173439d748ded13412ff7fe37e3742c55879ff28907b9eb5660
DIST mysql-8.0.22-patches-02.tar.xz 7580 BLAKE2B a50704c3c58b1f67ca86edb233544137927b0ae5fdf302687b48f6fd30fbbd26798e8ef8282662586b25a7240b47278b44f944a8ca59f1a198bc228dd74459c9 SHA512 59f864452e9fdebe4d3990eff8b756e9bbfad58da216b74fa8b7e8391cb0d9d543ca2828591b9ed1ee276c1dec9e1851a8c2683507f0a326c85054e31cc3f950
DIST mysql-8.0.23-patches-01.tar.xz 7568 BLAKE2B 222120dcb5556457f382eefbb10f66f46fe1673c64730c8c8a5566942031bc98bab1f1182f747e79e23fccfb6b09197d5c2874aa2087104b6f1eaa25ea9fd60c SHA512 54222c420d57c1b206d920f22738746925ed1e0d78683f01c97cac5bd1d3450f70f784a7f603304b8595fb58120e691f94e28fa1d1884a7cc8bea1d7b177470f
DIST mysql-8.0.25-patches-01.tar.xz 3604 BLAKE2B 09cccab204c30d16bdc374bcd01d4a8e6298955f86f479b8e287aab74fb6bd9857547e360be725dfc66acb56e1bb5665277d340761d0110a8823763ad4d2d1f4 SHA512 6d90a34a20e9cbc7e7a9b5b63a1408f33ac8523f2be6c9ab6d9ad7589c3ded83c87e460d782d4d8c33f11b337151fd8db994099e371260ecf204933e844eb50e
DIST mysql-8.0.25-patches-02.tar.xz 6456 BLAKE2B c9c1020a505ebcee836f8dc3bbe540ff924a0174daf36c37b852df267a81919d37581d1c9be037d52cdcd34c27c5c34d3f0af6160857b22d8ab4d8ece37798e0 SHA512 3c3726b397f3a6fb1d84396bb571b4903a167c9a47273b9d5996949e1d3febc96d3528bfa8dfaeea073a245051ae10c983f2ad258268babc91649563ce3cfc00
DIST mysql-boost-5.7.27.tar.gz 51436383 BLAKE2B 6db64ab5fa659aae9baa3725a0de9465e48c37618ffd69f34809880c06a00ce55dce77f507810c6fa52d86901facfa42d3d1bd8db1914a779fbc88a69be82497 SHA512 573f4555f3d62bcd3dc2228bcfba023518d462bb6689114a3505ccf7c7c3061d2775a8e7a37ec3c8b9dea6e8fbc56ba599610f237abc38cedff58e75799bdc52
DIST mysql-boost-5.7.29.tar.gz 51417554 BLAKE2B 652ce9f99419387e9bcc37afeb1b46438784752e963c3aa1877f17650c31d8b058b4052da97c3a7e9454e758c259d6c311e0518f9a75909fce9741150b82164c SHA512 38acf7c2a10b20c59230ad05cd2cd6996c4c582233c1be573ead08e5c6684275790da07a036570363f89b4d61547b306589b0b98ed5fca70723a3f2cbc21fe11
DIST mysql-boost-5.7.30.tar.gz 51363998 BLAKE2B 7897ad74b685c3b30e7ecdf132fdfa72f3416c05e8d0086cb8f7674b6c4f377fff9abc51ed258cc4dfeab50a2cb393af9076d9c1f9a83a26521facbaf223afa1 SHA512 b75d41d0c72d16c6f8d5393dab6e476b7993d296eb5683c12417ce2da3db2052fdab2a152f6e7c545315d21bfa35f26a247cb6cdab83d3418b5d34ed7f5f9560

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

@ -21,7 +21,7 @@ SLOT=0
RESTRICT="test"
DEPEND="${POSTGRES_DEP}
dev-libs/openssl"
dev-libs/openssl:="
RDEPEND="${DEPEND}"
CMAKE_IN_SOURCE_BUILD=yes

@ -21,7 +21,7 @@ SLOT=0
RESTRICT="test"
DEPEND="${POSTGRES_DEP}
dev-libs/openssl"
dev-libs/openssl:="
RDEPEND="${DEPEND}"
CMAKE_IN_SOURCE_BUILD=yes

@ -21,7 +21,7 @@ SLOT=0
RESTRICT="test"
DEPEND="${POSTGRES_DEP}
dev-libs/openssl"
dev-libs/openssl:="
RDEPEND="${DEPEND}"
CMAKE_IN_SOURCE_BUILD=yes

@ -21,7 +21,7 @@ SLOT=0
RESTRICT="test"
DEPEND="${POSTGRES_DEP}
dev-libs/openssl"
dev-libs/openssl:="
RDEPEND="${DEPEND}"
CMAKE_IN_SOURCE_BUILD=yes

@ -21,7 +21,7 @@ SLOT=0
RESTRICT="test"
DEPEND="${POSTGRES_DEP}
dev-libs/openssl"
dev-libs/openssl:="
RDEPEND="${DEPEND}"
CMAKE_IN_SOURCE_BUILD=yes

Binary file not shown.

@ -12,7 +12,7 @@ SRC_URI="ftp://ftp.denx.de/pub/u-boot/${MY_P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv x86"
KEYWORDS="amd64 arm ~arm64 ~ppc ~ppc64 ~riscv x86"
IUSE=""
RDEPEND="dev-libs/openssl:0="

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -24,7 +24,7 @@ IUSE="fast-bignum"
RDEPEND=">=dev-haskell/network-2.1:=[profile?] <dev-haskell/network-3.2:=[profile?]
>=dev-haskell/old-locale-1.0.0.2:=[profile?] <dev-haskell/old-locale-1.1:=[profile?]
>=dev-lang/ghc-7.4.1:=
dev-libs/openssl
dev-libs/openssl:=
"
DEPEND="${RDEPEND}
>=dev-haskell/cabal-1.12

Binary file not shown.

@ -1,3 +1,2 @@
DIST commons-lang-2.6-src.tar.gz 564032 BLAKE2B 9d72b0426f2146eaa8498a6601edf80dbf45a16ef5ee14cf4ed87130e6d3732d5c713f25f44c10435baa1357f61a271acb88483915968aaf645d1ceaa318c601 SHA512 4a30ed153f93fe6616a28974721bdf005d064203ef8a3dd375d6c1176647c0cdbd29cfde2a580e2c8d26bfa4655be6be7025b8ccae94086dcd816676c5cf8e87
DIST commons-lang-3.12.0-sources.tar.gz 1072858 BLAKE2B d6b7ee9ef165e60f61d8d0dfaaf38919877f2edc6742cd58b2b70d379e807e75d9dc24e19f23db1b174d1797d6ef0af7700d686dd835d7a40bf2b2a91346e215 SHA512 80d1b960ae0b02859be329ea60d68cef33f3c7be7ec19752b3c9cfef442adef480878317ce2cfa309a27e662e2c72cab22023eaa3702e27970a1e5d55ca43f57
DIST commons-lang3-3.1-src.tar.gz 638619 BLAKE2B f971afc9bdd3896178bc4be0b6c5d8809f1c1ac0d69ad73ba0d71c185c600ca7a55c3b4877af64b552ccebed9567aa7830f236f2c0d9c38f259870b894c9d745 SHA512 4d201c695a9b908a1809bbab689f80c6aa508b221b4c2786974eada08e647936f5879841c64eed509032ffdd5410735480e7ecb2910295d0f79e857c27019560

@ -1,35 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
JAVA_PKG_IUSE="doc source test"
inherit java-pkg-2 java-ant-2
MY_P="${PN}3-${PV}"
DESCRIPTION="Commons components to manipulate core java classes"
HOMEPAGE="http://commons.apache.org/lang/"
SRC_URI="mirror://apache/commons/lang/source/${MY_P}-src.tar.gz"
DEPEND=">=virtual/jdk-1.5
test? ( dev-java/ant-junit:0 )"
RDEPEND=">=virtual/jre-1.5"
LICENSE="Apache-2.0"
SLOT="3.1"
KEYWORDS="amd64 ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-solaris"
S="${WORKDIR}/${MY_P}-src"
JAVA_ANT_ENCODING="ISO-8859-1"
src_install() {
java-pkg_newjar target/${MY_P}.jar ${PN}.jar
dodoc RELEASE-NOTES.txt NOTICE.txt
use doc && java-pkg_dojavadoc target/apidocs
use source && java-pkg_dosrc src/main/java/*
}

@ -1,5 +1 @@
DIST postgresql-jdbc-9.2-1003.src.tar.gz 1843082 BLAKE2B 35f6e4738e5340373ccb3cbe516f2e8f4a391b6e200b88c6adff7112b28f077c6e4108329c962b98dd2ee21e9e3db81521a324b036cc5d0d6ec9859f660bce60 SHA512 f91d9617726722998a51275c625f6ea89dfe0ac7ce415cc6fa76302b13762bcf825cd61ec69d25d0199ca21de8a24286eeffb843ad59c06fd3049a289ac2b702
DIST postgresql-jdbc-9.2-1004.src.tar.gz 1842921 BLAKE2B 4cf0cb6da5749a9da194b9174db82289c3521edb7b7fd57d112883c185e0b80fd6feb70852eb54d7fe53d439817643bc608e9cdb3a9d9b2d43fd134031c770e9 SHA512 6e218b7df3d772e4fb9053672f5f77f6012fe6e652a536dfe171408e957465520b05994d4fa13c4d478b595a55b8068da663b9f3dcb544a46fcf91d71ba8fdf5
DIST postgresql-jdbc-9.3-1100.src.tar.gz 1852465 BLAKE2B a81f385ff23679a1e6b268b53ea72dda744c50d043d02fe50a88421c43561a8fc63c849a974e84e1f1caa93ab20c01cc58cc9abe96f5567f5ac626263f402126 SHA512 43968a62f9443739721016ede186b2f41fa6db2d1ef319cd65059f8715e90eda7c7f568995b293578c39e04d43085cfdfece587500f99ed1a49964c12d8c747a
DIST postgresql-jdbc-9.4-1205.src.tar.gz 2028968 BLAKE2B d4f55bc7c173795202f9eed58a67effba747b56f8dc5aaeeb2941532b3d0ce3f66ed113c38af9c2c40998191fd15d2828d05a1b693eb13a78a3d39b9fe6667b5 SHA512 ebb46c0cfcabc34083e6f481bc97536fba98d082462670d39efdd75e6463f1286db6fa07cd35546c749e456f1c06fb1d022cbc9f5cace2a1b968fab76a57d281
DIST postgresql-jdbc-9.4-1206.src.tar.gz 2029837 BLAKE2B b222a0b2f8f99becaf0ae350407fafeb23d9d4bdb130c17996373b4211e0d56d1a76bc5737401dc6fc6618d2a891943d096b0f60f0770ff6ce859ade3e7a178d SHA512 b16816f1afd3ee5986fca197bd7608c2e2f334054e41a8c541c47985827f4f59d7691d23983bdac01c85fc364cd001c991ac6b4e8567429b9d1f4161388dd6bd

@ -1,79 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-ant-2
MY_PN="postgresql-jdbc"
MY_PV="${PV/_p/-}"
MY_P="${MY_PN}-${MY_PV}.src"
DESCRIPTION="JDBC Driver for PostgreSQL"
SRC_URI="https://jdbc.postgresql.org/download/${MY_P}.tar.gz"
HOMEPAGE="https://jdbc.postgresql.org/"
LICENSE="POSTGRESQL"
SLOT="0"
KEYWORDS="amd64 ppc64 x86"
IUSE="test"
RESTRICT="!test? ( test )"
DEPEND="
>=virtual/jdk-1.6
doc? (
dev-libs/libxslt
app-text/docbook-xsl-stylesheets
)
test? (
dev-java/ant-junit
dev-db/postgresql[server]
)"
RDEPEND=">=virtual/jre-1.6"
S="${WORKDIR}/postgresql-jdbc-${MY_PV}.src"
java_prepare() {
find -name "*.class" -type f -exec rm -v {} + || die
}
JAVA_ANT_REWRITE_CLASSPATH="yes"
EANT_DOC_TARGET="publicapi"
src_compile() {
java-pkg-2_src_compile
# There is a task that creates this doc but I didn't find a way how to use system catalog
# to lookup the stylesheet so the 'doc' target is rewritten here to use system call instead.
if use doc; then
mkdir -p "${S}/build/doc"
xsltproc -o "${S}/build/doc/pgjdbc.html" http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl \
"${S}/doc/pgjdbc.xml"
fi
}
src_test() {
einfo "In order to run the tests successfully, you have to have:"
einfo "1) PostgreSQL server running"
einfo "2) database 'test' defined with user 'test' with password 'password'"
einfo " as owner of the database"
einfo "3) plpgsql support in the 'test' database"
einfo
einfo "You can find a general info on how to perform these steps at"
einfo "https://wiki.gentoo.org/wiki/PostgreSQL"
ANT_TASKS="ant-junit" eant test -Dgentoo.classpath=$(java-pkg_getjars --build-only junit)
}
src_install() {
java-pkg_newjar jars/postgresql.jar jdbc-postgresql.jar
if use doc ; then
java-pkg_dojavadoc build/publicapi
dohtml build/doc/pgjdbc.html
fi
use source && java-pkg_dosrc org
}

@ -1,79 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-ant-2
MY_PN="postgresql-jdbc"
MY_PV="${PV/_p/-}"
MY_P="${MY_PN}-${MY_PV}.src"
DESCRIPTION="JDBC Driver for PostgreSQL"
SRC_URI="https://jdbc.postgresql.org/download/${MY_P}.tar.gz"
HOMEPAGE="https://jdbc.postgresql.org/"
LICENSE="POSTGRESQL"
SLOT="0"
KEYWORDS="~amd64 ~ppc64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
DEPEND="
>=virtual/jdk-1.6
doc? (
dev-libs/libxslt
app-text/docbook-xsl-stylesheets
)
test? (
dev-java/ant-junit
dev-db/postgresql[server]
)"
RDEPEND=">=virtual/jre-1.6"
S="${WORKDIR}/postgresql-jdbc-${MY_PV}.src"
java_prepare() {
find -name "*.class" -type f -exec rm -v {} + || die
}
JAVA_ANT_REWRITE_CLASSPATH="yes"
EANT_DOC_TARGET="publicapi"
src_compile() {
java-pkg-2_src_compile
# There is a task that creates this doc but I didn't find a way how to use system catalog
# to lookup the stylesheet so the 'doc' target is rewritten here to use system call instead.
if use doc; then
mkdir -p "${S}/build/doc"
xsltproc -o "${S}/build/doc/pgjdbc.html" http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl \
"${S}/doc/pgjdbc.xml"
fi
}
src_test() {
einfo "In order to run the tests successfully, you have to have:"
einfo "1) PostgreSQL server running"
einfo "2) database 'test' defined with user 'test' with password 'password'"
einfo " as owner of the database"
einfo "3) plpgsql support in the 'test' database"
einfo
einfo "You can find a general info on how to perform these steps at"
einfo "https://wiki.gentoo.org/wiki/PostgreSQL"
ANT_TASKS="ant-junit" eant test -Dgentoo.classpath=$(java-pkg_getjars --build-only junit)
}
src_install() {
java-pkg_newjar jars/postgresql.jar jdbc-postgresql.jar
if use doc ; then
java-pkg_dojavadoc build/publicapi
dohtml build/doc/pgjdbc.html
fi
use source && java-pkg_dosrc org
}

@ -1,79 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-ant-2
MY_PN="postgresql-jdbc"
MY_PV="${PV/_p/-}"
MY_P="${MY_PN}-${MY_PV}.src"
DESCRIPTION="JDBC Driver for PostgreSQL"
SRC_URI="https://jdbc.postgresql.org/download/${MY_P}.tar.gz"
HOMEPAGE="https://jdbc.postgresql.org/"
LICENSE="POSTGRESQL"
SLOT="0"
KEYWORDS="~amd64 ~ppc64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
DEPEND="
>=virtual/jdk-1.6
doc? (
dev-libs/libxslt
app-text/docbook-xsl-stylesheets
)
test? (
dev-java/ant-junit
dev-db/postgresql[server]
)"
RDEPEND=">=virtual/jre-1.6"
S="${WORKDIR}/postgresql-jdbc-${MY_PV}.src"
java_prepare() {
find -name "*.class" -type f -exec rm -v {} + || die
}
JAVA_ANT_REWRITE_CLASSPATH="yes"
EANT_DOC_TARGET="publicapi"
src_compile() {
java-pkg-2_src_compile
# There is a task that creates this doc but I didn't find a way how to use system catalog
# to lookup the stylesheet so the 'doc' target is rewritten here to use system call instead.
if use doc; then
mkdir -p "${S}/build/doc"
xsltproc -o "${S}/build/doc/pgjdbc.html" http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl \
"${S}/doc/pgjdbc.xml"
fi
}
src_test() {
einfo "In order to run the tests successfully, you have to have:"
einfo "1) PostgreSQL server running"
einfo "2) database 'test' defined with user 'test' with password 'password'"
einfo " as owner of the database"
einfo "3) plpgsql support in the 'test' database"
einfo
einfo "You can find a general info on how to perform these steps at"
einfo "https://wiki.gentoo.org/wiki/PostgreSQL"
ANT_TASKS="ant-junit" eant test -Dgentoo.classpath=$(java-pkg_getjars --build-only junit)
}
src_install() {
java-pkg_newjar jars/postgresql.jar jdbc-postgresql.jar
if use doc ; then
java-pkg_dojavadoc build/publicapi
dohtml build/doc/pgjdbc.html
fi
use source && java-pkg_dosrc org
}

@ -1,102 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
JAVA_PKG_IUSE="doc source"
inherit epatch java-pkg-2 java-ant-2
MY_PN="postgresql-jdbc"
MY_PV="${PV/_p/-}"
MY_P="${MY_PN}-${MY_PV}.src"
DESCRIPTION="JDBC Driver for PostgreSQL"
SRC_URI="https://jdbc.postgresql.org/download/${MY_P}.tar.gz"
HOMEPAGE="https://jdbc.postgresql.org/"
LICENSE="POSTGRESQL"
SLOT="0"
KEYWORDS="~amd64 ~ppc64 ~x86"
IUSE="test"
DEPEND="
>=virtual/jdk-1.6
doc? (
dev-libs/libxslt
app-text/docbook-xsl-stylesheets
)
test? (
>=dev-db/postgresql-9.3[server]
dev-java/ant-junit
dev-java/junit:4
dev-java/xml-commons
)"
RDEPEND=">=virtual/jre-1.6"
RESTRICT="test" # Requires external postgresql server setup
S="${WORKDIR}/postgresql-jdbc-${MY_PV}.src"
JAVA_ANT_REWRITE_CLASSPATH="yes"
EANT_DOC_TARGET="publicapi"
java_prepare() {
# Strip build.xml of maven deps
sed -i -e '/<classpath.*dependency\.compile\.classpath/c\' build.xml || die
sed -i -e '/<classpath.*dependency\.runtime\.classpath/c\' build.xml || die
sed -i -e '/<classpath.*dependency\.test\.classpath/c\' build.xml || die
sed -i -e '/<target name="artifact-version"/,/<[/]target>/{s/depends="maven-dependencies"//}' build.xml || die
sed -i -e '/<target name="compile"/ s/,maven-dependencies//' build.xml || die
# Remove SSPI, it pulls in Waffle-JNA and is only used on Windows
sed -i -e '/<include.*sspi/c\' build.xml || die
rm -vrf org/postgresql/sspi || die "Error removing sspi"
epatch "${FILESDIR}"/${PN}-9.4_p1204-remove-sspi.patch
# FIXME @someone who cares: enable through osgi flag?
sed -i -e '/<include.*osgi/c\' build.xml || die
sed -i -e '/<test.*osgi/c\' build.xml || die
rm -vrf org/postgresql/osgi || die "Error removing osgi"
rm -vrf org/postgresql/test/osgi || die "Error removing osgi tests"
epatch "${FILESDIR}"/${PN}-9.4_p1201-remove-osgi.patch
java-pkg_clean
}
src_compile() {
EANT_BUILD_TARGET="release-version jar"
java-pkg-2_src_compile
# There is a task that creates this doc but I didn't find a way how to use system catalog
# to lookup the stylesheet so the 'doc' target is rewritten here to use system call instead.
if use doc; then
mkdir -p "${S}/build/doc" || die
xsltproc -o "${S}/build/doc/pgjdbc.html" http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl \
"${S}/doc/pgjdbc.xml" || die
fi
}
src_test() {
einfo "In order to run the tests successfully, you have to have:"
einfo "1) PostgreSQL server running"
einfo "2) database 'test' defined with user 'test' with password 'test'"
einfo " as owner of the database"
einfo "3) plpgsql support in the 'test' database"
einfo
einfo "You can find a general info on how to perform these steps at"
einfo "https://wiki.gentoo.org/wiki/PostgreSQL"
ANT_TASKS="ant-junit" eant test -Dgentoo.classpath=$(java-pkg_getjars --build-only "junit-4,xml-commons")
}
src_install() {
java-pkg_newjar build/jars/postgresql*.jar jdbc-postgresql.jar
if use doc ; then
java-pkg_dojavadoc build/publicapi
dohtml build/doc/pgjdbc.html
fi
use source && java-pkg_dosrc org
}

@ -1,11 +1,11 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
EAPI=7
JAVA_PKG_IUSE="doc source"
inherit epatch java-pkg-2 java-ant-2
inherit java-pkg-2 java-ant-2
MY_PN="postgresql-jdbc"
MY_PV="${PV/_p/-}"
@ -20,28 +20,36 @@ SLOT="0"
KEYWORDS="amd64 ppc64 x86"
IUSE="test"
# it does not compile with jdk 11, newer versions should be fine
# BUILD FAILED
# /var/tmp/portage/dev-java/jdbc-postgresql-9.4_p1206-r1/work/postgresql-jdbc-9.4-1206.src/build.xml:197: Unknown JDK version.
DEPEND="
>=virtual/jdk-1.6
virtual/jdk:1.8
doc? (
dev-libs/libxslt
app-text/docbook-xsl-stylesheets
)
test? (
>=dev-db/postgresql-9.3[server]
dev-java/ant-junit
dev-db/postgresql[server]
dev-java/ant-junit:0
dev-java/hamcrest-core:1.3
dev-java/junit:4
dev-java/xml-commons
dev-java/xml-commons-resolver:0
)"
RDEPEND=">=virtual/jre-1.6"
RDEPEND=">=virtual/jre-1.8:*"
RESTRICT="test" # Requires external postgresql server setup
S="${WORKDIR}/postgresql-jdbc-${MY_PV}.src"
HTML_DOCS=( build/doc/pgjdbc.html )
JAVA_ANT_REWRITE_CLASSPATH="yes"
EANT_DOC_TARGET="publicapi"
java_prepare() {
src_prepare() {
default
# Strip build.xml of maven deps
sed -i -e '/<classpath.*dependency\.compile\.classpath/c\' build.xml || die
sed -i -e '/<classpath.*dependency\.runtime\.classpath/c\' build.xml || die
@ -52,14 +60,14 @@ java_prepare() {
# Remove SSPI, it pulls in Waffle-JNA and is only used on Windows
sed -i -e '/<include.*sspi/c\' build.xml || die
rm -vrf org/postgresql/sspi || die "Error removing sspi"
epatch "${FILESDIR}"/${PN}-9.4_p1204-remove-sspi.patch
eapply "${FILESDIR}"/${PN}-9.4_p1204-remove-sspi.patch
# FIXME @someone who cares: enable through osgi flag?
sed -i -e '/<include.*osgi/c\' build.xml || die
sed -i -e '/<test.*osgi/c\' build.xml || die
rm -vrf org/postgresql/osgi || die "Error removing osgi"
rm -vrf org/postgresql/test/osgi || die "Error removing osgi tests"
epatch "${FILESDIR}"/${PN}-9.4_p1201-remove-osgi.patch
eapply "${FILESDIR}"/${PN}-9.4_p1201-remove-osgi.patch
java-pkg_clean
}
@ -87,7 +95,7 @@ src_test() {
einfo "You can find a general info on how to perform these steps at"
einfo "https://wiki.gentoo.org/wiki/PostgreSQL"
ANT_TASKS="ant-junit" eant test -Dgentoo.classpath=$(java-pkg_getjars --build-only "junit-4,xml-commons")
ANT_TASKS="ant-junit" eant test -Dgentoo.classpath=$(java-pkg_getjars --build-only "hamcrest-core-1.3,junit-4,xml-commons-resolver")
}
src_install() {
@ -95,7 +103,7 @@ src_install() {
if use doc ; then
java-pkg_dojavadoc build/publicapi
dohtml build/doc/pgjdbc.html
einstalldocs
fi
use source && java-pkg_dosrc org

Binary file not shown.

@ -2,4 +2,9 @@ DIST fpc-3.0.4-doc-html.tar.gz 5658315 BLAKE2B 49f9e6f3848ad1aaad8b1621ffd5d2026
DIST fpc-3.0.4.i386-linux.tar 54691840 BLAKE2B c0951c85a3916c29e8e7391408da09abd86898a42159bfd7e637410ecf3e3a3f266a33edb5eb5ad458be92cf1fc7741eb249a512fe817a73a13207e216e0c0d2 SHA512 eee7528a69d5c745981efc90f571542047a5e6b4f1b391ad5341460035da5feffdfc4c38229134d23513239ccb33dcbc95354559e45746f1f6665541c60d0ca7
DIST fpc-3.0.4.source.tar.gz 40347617 BLAKE2B 0764c92cc379d6e70a3f33368d96244ea0203b3395a5dbcadebe6ef51b508cbc7c112f9bc7bce69ae6dae1fde03bc9e45a1a8ad70ca154cc4dd51bc93cab82f9 SHA512 fc64fd94c39f220bd7531126d6281fa2141aed61c218595a7906a025660b46629a305ff7eb023f5e1359eafdec2dba69aa5405f1bbc3c1182414968689cbb52e
DIST fpc-3.0.4.x86_64-linux.tar 56842240 BLAKE2B fda488466f409d4f50501ad17edcce2740f0a7e60ac86bbfec235ccc27c619d62d2aab01aa7878ba3e174c35fd46aab98e43eda4528e98fdf3e098330eea9b26 SHA512 085110d0fade11c4e6e79c002522080eb070cebb8ebbed48ca35e3a2dc025df678516e36c7cba5f951e20c0da57dd261d673dda6839ecdf5d88aa8dfe15a56e5
DIST fpc-3.2.2-doc-html.tar.gz 5810672 BLAKE2B 5d2c0ce35024f58d35e59034d4c071ec58214874f31ef44b8f4ea8cb68636080b61dea9a5d0ccc8062814c0b2fe3bc5269e6584ae30fedb29dbb0709ce1b3103 SHA512 0bdefd25b9f46bb6684bb4dd8f60de796cbbf81049a7e8bac4cc4bc87dd6100a42ea05601cf1bb0254e8b73ddaf5d1bf186dbf1909f1ed7db7bdf97f50df7cdc
DIST fpc-3.2.2.i386-linux.tar 85043200 BLAKE2B 9e2fae2d272c79cc7fcf4d062589bd888c342ccfb01e3f14e412bc58ff6b04928c6a7a0a4b3392b30f0864f16029d063632bd72bd9cac55e0a40a00fb726ef93 SHA512 b4f1a94d1a05901f4ffc2e07519e9b03666850211e571cbce33f0ba16d8a1d88de256c8e111579f46d56f157630dfc722a8ae9ce2b200fc784c588ea4e6bd5df
DIST fpc-3.2.2.source.tar.gz 52240052 BLAKE2B e30cf1b10c4cafd0ae2a25673678213669c29dec0549f4d7b357011e84a0a2c8ecf343cb6443798e6c36c02ae97a0c7cae7ca24829510c552968d4a58426576f SHA512 6d320b4e0805d63c40d3037f9d2078068c2c9fcdeb6ac073a6fcc19249bd6325dc542fcc7fc6dbb7e69507dcd84cf9e720e7d73925afe955e2a24e8c7d92606a
DIST fpc-3.2.2.x86_64-linux.tar 86978560 BLAKE2B 29cac8c0da4ba65cee6a0e0cd3c111202c8943ca61a02c5dfeaeb174c353db6fc07e291794ef7433f9fdf88ed694260e734bc715567c6a12292b0c8524d17f4e SHA512 534df830a951824525044479ded23ef1e61b104c0dd65c837ad0d8d9ced9eb7349925a3f759756aa95ae17e567d8b1cd5c7e2092d3c665eaac578845b48aa467
DIST fpcbuild-3.0.4.tar.gz 68908523 BLAKE2B b5c3936cf0b803aa2cc71f9c25ded470f207c540a1691cf3c2a9876c9e4eefd5c04f45b9f1f3ca17917b14ba4a90e0f16cc890b27024ff225d9d6bb25649862b SHA512 eedfeb4d25b3f4cb30ae9c8f30e0fec2405ef806fa565933cef7904d512f781730e3f023aea2f908c21250e3ced4f74fa780abad77b560728a88cedf591505b6
DIST fpcbuild-3.2.2.tar.gz 84195619 BLAKE2B 88848308c93f949b59197649cc344498082b6520e43eb1d4413bf68eb251fcab75c863794a188a2298d9e8aba47346253a596ac630b30049ac8bd6f6934aa5a2 SHA512 75889bb54adc70a6e2cbd291476b9b12d61c8f943a05b7d16d2024de3215c935465ff43b1400c412e128e260c7f49a9c66e35c21f86cb866e671b5b60a282d82

@ -0,0 +1,173 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit prefix toolchain-funcs
HOMEPAGE="https://www.freepascal.org/"
DESCRIPTION="Free Pascal Compiler"
SRC_URI="mirror://sourceforge/freepascal/fpcbuild-${PV}.tar.gz
mirror://sourceforge/freepascal/fpc-${PV}.source.tar.gz
amd64? ( mirror://sourceforge/freepascal/${P}.x86_64-linux.tar )
x86? ( mirror://sourceforge/freepascal/${P}.i386-linux.tar )
doc? ( mirror://sourceforge/freepascal/Documentation/${PV}/doc-html.tar.gz -> ${P}-doc-html.tar.gz )"
S="${WORKDIR}/fpcbuild-${PV}/fpcsrc"
LICENSE="GPL-2 LGPL-2.1-with-linking-exception"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc source"
RESTRICT="strip" #269221
# fpc is special: it can't use CFLAGS and LDFLAGS directly
# since those are geared for running through gcc's frontend
QA_FLAGS_IGNORED="
usr/bin/.*
usr/lib.*/.*"
src_unpack() {
case ${ARCH} in
amd64)
FPC_ARCH="x86_64"
PV_BIN="${PV}"
;;
x86)
FPC_ARCH="i386"
PV_BIN="${PV}"
;;
*)
die "This ebuild doesn't support ${ARCH}" ;;
esac
unpack ${A}
unpack "${PN}-${PV_BIN}.${FPC_ARCH}-linux/binary.${FPC_ARCH}-linux.tar"
unpack ./base.${FPC_ARCH}-linux.tar.gz
}
src_prepare() {
default
local f
while IFS="" read -d $'\0' -r f ; do
sed -i -e 's/ -Xs / /' "${f}" || die
done < <(find "${WORKDIR}" -name Makefile -type f -print0)
# let the pkg manager compress man files
sed -i '/find man.* gzip /d' "${WORKDIR}"/fpcbuild-${PV}/install/man/Makefile || die
# make the compiled binary check for fpc.cfg under the prefixed /etc/ path
hprefixify "${WORKDIR}"/fpcbuild-${PV}/fpcsrc/compiler/options.pas
}
src_configure() {
tc-ld-disable-gold # bug 475210
}
set_pp() {
case ${ARCH} in
amd64)
FPC_ARCH="x64"
FPC_PARCH="x86_64"
;;
x86)
FPC_ARCH="386"
FPC_PARCH="i386"
;;
*)
die "This ebuild doesn't support ${ARCH}" ;;
esac
case ${1} in
bootstrap)
pp="${WORKDIR}/lib/fpc/${PV_BIN}/ppc${FPC_ARCH}"
;;
new)
pp="${S}/compiler/ppc${FPC_ARCH}"
;;
*)
die "set_pp: unknown argument: ${1}" ;;
esac
}
src_compile() {
local pp
# Using the bootstrap compiler.
set_pp bootstrap
emake PP="${pp}" compiler_cycle AS="$(tc-getAS)"
# Save new compiler from cleaning...
cp compiler/ppc${FPC_ARCH} ppc${FPC_ARCH}.new || die
# ...rebuild with current version...
emake PP="${S}/ppc${FPC_ARCH}.new" AS="$(tc-getAS)" compiler_cycle
# ..and clean up afterwards
rm ppc${FPC_ARCH}.new || die
# Using the new compiler.
set_pp new
emake PP="${pp}" AS="$(tc-getAS)" rtl_clean
# ide is moved to packages directory and build unconditionally
emake PP="${pp}" AS="$(tc-getAS)" rtl packages_all utils
}
src_install() {
local pp
set_pp new
#fpcbuild-3.0.0/utils/fpcm/fpcmake
#${WORKDIR}/${PN}build-${PV}/utils/fpcm/fpcmake"
#fpcbuild-3.0.0/fpcsrc/utils/fpcm/bin/x86_64-linux/fpcmake
set -- PP="${pp}" FPCMAKE="${S}/utils/fpcm/bin/${FPC_PARCH}-linux/fpcmake" \
INSTALL_PREFIX="${ED}"/usr \
INSTALL_DOCDIR="${ED}"/usr/share/doc/${PF} \
INSTALL_MANDIR="${ED}"/usr/share/man \
INSTALL_SOURCEDIR="${ED}"/usr/lib/fpc/${PV}/source
emake "$@" compiler_install rtl_install packages_install utils_install
dosym ../lib/fpc/${PV}/ppc${FPC_ARCH} /usr/bin/ppc${FPC_ARCH}
emake -C "${S}"/../install/doc "$@" installdoc
emake -C "${S}"/../install/man "$@" installman
use doc && dodoc -r "${S}"/../../doc/.
if use source ; then
shift
emake PP="${ED}"/usr/bin/ppc${FPC_ARCH} "$@" sourceinstall
find "${ED}"/usr/lib/fpc/${PV}/source -name '*.o' -delete || die
fi
"${ED}"/usr/lib/fpc/${PV}/samplecfg "${ED}"/usr/lib/fpc/${PV} "${ED}"/etc || die
# set correct (prefixed) path for e.g. unit files
sed -i "s:${ED}:${EPREFIX}:g" "${ED}"/etc/fpc.cfg || die
sed -e "s:${ED}::g" \
-i "${ED}"/etc/fppkg.cfg \
-i "${ED}"/etc/fppkg/default \
-i "${ED}"/usr/lib/fpc/${PV}/ide/text/fp.cfg \
|| die
rm -r "${ED}"/usr/lib/fpc/lexyacc || die
case ${ARCH} in
amd64)
mkdir -p "${ED}"/usr/$(get_libdir) || die
mv "${ED}"/usr/lib/*.so "${ED}/usr/$(get_libdir)/" || die
;;
esac
}
pkg_postinst() {
if [[ -z ${REPLACING_VERSIONS} ]] && ! use doc; then
elog "To read the documentation in the fpc IDE, enable the doc USE flag"
fi
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save